searchNodes=[{"ref":"Grizzly.html","title":"Grizzly","type":"module","doc":"Grizzly functions for controlling Z-Wave devices and the Z-Wave network. Sending commands to Z-Wave The most fundamental function in Grizzly is Grizzly.send_command/3. There are two ways of using this function. First, by passing in a node id for a node on the network: Grizzly.send_command(10, Grizzly.CommandClass.SwitchBinary.Get) {:ok, :on} Grizzly.send_command(10, Grizzly.CommandClass.SwitchBinary.Set, value: :off) This is useful for short lived deterministic communication like iex and scripts. This is because there is the overhead of connecting and disconnecting to the node for each call. For long lived applications that have non-deterministic sending of messages (some type of automated commands) and user expectations on device action we recommend using this function by passing in a Grizzly.Node, Grizzly.Conn, or Grizzly.Controller. {:ok, zw_node} = Grizzly.get_node(10) {:ok, zw_node} = Grizzly.Node.connect(zw_node) {:ok, :on} = Grizzly.send_command(zw_node, Grizzly.CommandClass.SwitchBinary.Get) :ok = Grizzly.send_command(zw_node, Grizzly.CommandClass.SwitchBinary.Set, value: :on) This is useful because we maintain a heart beat with the node and overhead of establishing the connection is removed from send_command. In order for the consumer of Grizzly to use this in a long running application they will need to hold on to a reference to the connected Z-Wave Node. To know more commands and their arguments see the modules under the Grizzly.CommandClass name space."},{"ref":"Grizzly.html#add_node/1","title":"Grizzly.add_node/1","type":"function","doc":"Put network in inclusion mode"},{"ref":"Grizzly.html#add_node_stop/0","title":"Grizzly.add_node_stop/0","type":"function","doc":"Put network out of inclusion mode"},{"ref":"Grizzly.html#close_connection/1","title":"Grizzly.close_connection/1","type":"function","doc":"Close a connection"},{"ref":"Grizzly.html#command_class_names/1","title":"Grizzly.command_class_names/1","type":"function","doc":"Get the command classes supported by a node."},{"ref":"Grizzly.html#command_class_versions_known?/1","title":"Grizzly.command_class_versions_known?/1","type":"function","doc":"Whether the node&#39;s command class versions are known"},{"ref":"Grizzly.html#config/0","title":"Grizzly.config/0","type":"function","doc":""},{"ref":"Grizzly.html#connected?/1","title":"Grizzly.connected?/1","type":"function","doc":"Whether a node is connected."},{"ref":"Grizzly.html#get_command_class_version/2","title":"Grizzly.get_command_class_version/2","type":"function","doc":"Get the version of a node&#39;s command class, if the node does not have a version for this command class this function will try to get it from the Z-Wave network."},{"ref":"Grizzly.html#get_node/1","title":"Grizzly.get_node/1","type":"function","doc":"Get a node from the network This does not make a DTLS connection to the Node.t() and if you want to connect to the node use Grizzly.Node.connect/1."},{"ref":"Grizzly.html#get_nodes/0","title":"Grizzly.get_nodes/0","type":"function","doc":"List the nodes on the Z-Wave network"},{"ref":"Grizzly.html#has_command_class?/2","title":"Grizzly.has_command_class?/2","type":"function","doc":"Whether a node has a given command class"},{"ref":"Grizzly.html#network_busy?/0","title":"Grizzly.network_busy?/0","type":"function","doc":"Check to see if the network is busy"},{"ref":"Grizzly.html#network_ready?/0","title":"Grizzly.network_ready?/0","type":"function","doc":"Check to see if the network is ready"},{"ref":"Grizzly.html#remove_node/1","title":"Grizzly.remove_node/1","type":"function","doc":"Put network in exclusion mode"},{"ref":"Grizzly.html#remove_node_stop/0","title":"Grizzly.remove_node_stop/0","type":"function","doc":"Put network out of exclusion mode"},{"ref":"Grizzly.html#reset_controller/0","title":"Grizzly.reset_controller/0","type":"function","doc":"Reset the Z-Wave Module to a clean state"},{"ref":"Grizzly.html#send_command/3","title":"Grizzly.send_command/3","type":"function","doc":"Send a command to the Z-Wave device, first checking if in inclusion/exclusion state. See individual command modules for information about what options it takes."},{"ref":"Grizzly.html#start_learn_mode/1","title":"Grizzly.start_learn_mode/1","type":"function","doc":"Put the controller in learn mode for a few seconds"},{"ref":"Grizzly.html#subscribe/1","title":"Grizzly.subscribe/1","type":"function","doc":"Subscribe to notifications about a topic See Grizzly.Notifications for more information"},{"ref":"Grizzly.html#update_command_class_versions/1","title":"Grizzly.update_command_class_versions/1","type":"function","doc":"Update the command class version of a node"},{"ref":"Grizzly.html#t:connected/0","title":"Grizzly.connected/0","type":"type","doc":"A type the repersents things the have/can establish connections to the Z/IP network. Conn.t - A Connection struct Grizzly.Controller - The controller process, this is a global, started on application start process Node.t - This is a Z-Wave Node that has been connected to the network"},{"ref":"Grizzly.html#t:seq_number/0","title":"Grizzly.seq_number/0","type":"type","doc":""},{"ref":"Grizzly.Client.DTLS.html","title":"Grizzly.Client.DTLS","type":"module","doc":"A DTLS client to be used with Grizzly."},{"ref":"Grizzly.Client.DTLS.html#close/1","title":"Grizzly.Client.DTLS.close/1","type":"function","doc":"Callback implementation for c:Grizzly.Client.close/1."},{"ref":"Grizzly.Client.DTLS.html#connect/2","title":"Grizzly.Client.DTLS.connect/2","type":"function","doc":"Callback implementation for c:Grizzly.Client.connect/2."},{"ref":"Grizzly.Client.DTLS.html#parse_response/1","title":"Grizzly.Client.DTLS.parse_response/1","type":"function","doc":"Callback implementation for c:Grizzly.Client.parse_response/1."},{"ref":"Grizzly.Client.DTLS.html#send/3","title":"Grizzly.Client.DTLS.send/3","type":"function","doc":"Callback implementation for c:Grizzly.Client.send/3."},{"ref":"Grizzly.Client.DTLS.html#send_heart_beat/2","title":"Grizzly.Client.DTLS.send_heart_beat/2","type":"function","doc":"Callback implementation for c:Grizzly.Client.send_heart_beat/2."},{"ref":"Grizzly.Client.DTLS.html#user_lookup/3","title":"Grizzly.Client.DTLS.user_lookup/3","type":"function","doc":""},{"ref":"Grizzly.Client.DTLS.html#t:dtls_socket_message/0","title":"Grizzly.Client.DTLS.dtls_socket_message/0","type":"type","doc":""},{"ref":"Grizzly.Command.EncodeError.html","title":"Grizzly.Command.EncodeError","type":"exception","doc":"Exception for when encoding a Command goes wrong"},{"ref":"Grizzly.Command.EncodeError.html#new/1","title":"Grizzly.Command.EncodeError.new/1","type":"function","doc":"Make a new %EncodeError{} from the error type"},{"ref":"Grizzly.Command.EncodeError.html#t:error_type/0","title":"Grizzly.Command.EncodeError.error_type/0","type":"type","doc":""},{"ref":"Grizzly.Command.EncodeError.html#t:t/0","title":"Grizzly.Command.EncodeError.t/0","type":"type","doc":""},{"ref":"Grizzly.Command.Encoding.html","title":"Grizzly.Command.Encoding","type":"module","doc":"Utility module to validate command arguments prior to command encoding"},{"ref":"Grizzly.Command.Encoding.html#encode_and_validate_args/3","title":"Grizzly.Command.Encoding.encode_and_validate_args/3","type":"function","doc":"Verifies that the (sub)arguments of a command, possibly after encoding, meet the given type specs"},{"ref":"Grizzly.Command.Encoding.html#t:sizable/0","title":"Grizzly.Command.Encoding.sizable/0","type":"type","doc":""},{"ref":"Grizzly.Command.Encoding.html#t:size/0","title":"Grizzly.Command.Encoding.size/0","type":"type","doc":""},{"ref":"Grizzly.Command.Encoding.html#t:spec/0","title":"Grizzly.Command.Encoding.spec/0","type":"type","doc":""},{"ref":"Grizzly.Command.Encoding.html#t:specs/0","title":"Grizzly.Command.Encoding.specs/0","type":"type","doc":""},{"ref":"Grizzly.CommandClass.Mappings.html","title":"Grizzly.CommandClass.Mappings","type":"module","doc":""},{"ref":"Grizzly.CommandClass.Mappings.html#byte_to_basic_class/1","title":"Grizzly.CommandClass.Mappings.byte_to_basic_class/1","type":"function","doc":""},{"ref":"Grizzly.CommandClass.Mappings.html#byte_to_generic_class/1","title":"Grizzly.CommandClass.Mappings.byte_to_generic_class/1","type":"function","doc":""},{"ref":"Grizzly.CommandClass.Mappings.html#byte_to_specific_class/2","title":"Grizzly.CommandClass.Mappings.byte_to_specific_class/2","type":"function","doc":""},{"ref":"Grizzly.CommandClass.Mappings.html#command_from_byte/2","title":"Grizzly.CommandClass.Mappings.command_from_byte/2","type":"function","doc":""},{"ref":"Grizzly.CommandClass.Mappings.html#from_byte/1","title":"Grizzly.CommandClass.Mappings.from_byte/1","type":"function","doc":""},{"ref":"Grizzly.CommandClass.Mappings.html#is_network_command_class/1","title":"Grizzly.CommandClass.Mappings.is_network_command_class/1","type":"function","doc":""},{"ref":"Grizzly.CommandClass.Mappings.html#to_byte/1","title":"Grizzly.CommandClass.Mappings.to_byte/1","type":"function","doc":""},{"ref":"Grizzly.CommandClass.Mappings.html#t:command_class_byte/0","title":"Grizzly.CommandClass.Mappings.command_class_byte/0","type":"type","doc":""},{"ref":"Grizzly.CommandClass.Mappings.html#t:command_class_name/0","title":"Grizzly.CommandClass.Mappings.command_class_name/0","type":"type","doc":""},{"ref":"Grizzly.CommandClass.Mappings.html#t:command_class_type/0","title":"Grizzly.CommandClass.Mappings.command_class_type/0","type":"type","doc":""},{"ref":"Grizzly.CommandClass.Mappings.html#t:command_class_unk/0","title":"Grizzly.CommandClass.Mappings.command_class_unk/0","type":"type","doc":""},{"ref":"Grizzly.CommandClass.Mappings.html#t:specific_cmd_class_unk/0","title":"Grizzly.CommandClass.Mappings.specific_cmd_class_unk/0","type":"type","doc":""},{"ref":"Grizzly.Conn.html","title":"Grizzly.Conn","type":"module","doc":""},{"ref":"Grizzly.Conn.html#close/1","title":"Grizzly.Conn.close/1","type":"function","doc":""},{"ref":"Grizzly.Conn.html#connected?/1","title":"Grizzly.Conn.connected?/1","type":"function","doc":""},{"ref":"Grizzly.Conn.html#open/1","title":"Grizzly.Conn.open/1","type":"function","doc":""},{"ref":"Grizzly.Conn.html#override_mode/2","title":"Grizzly.Conn.override_mode/2","type":"function","doc":"Override the mode set in the config of the Conn.Server referenced by Conn conn"},{"ref":"Grizzly.Conn.html#send_command/3","title":"Grizzly.Conn.send_command/3","type":"function","doc":""},{"ref":"Grizzly.Conn.html#t:t/0","title":"Grizzly.Conn.t/0","type":"type","doc":""},{"ref":"Grizzly.Conn.Config.html","title":"Grizzly.Conn.Config","type":"module","doc":"A data structure to configure the connection between the library and the Z/IP server. Each connection will take on of these to know how to get connected and which client to use to do connecting and response handling. By default, if there is no client given, this will enfore the Grizzly.Client.DTLS is used."},{"ref":"Grizzly.Conn.Config.html#async?/1","title":"Grizzly.Conn.Config.async?/1","type":"function","doc":""},{"ref":"Grizzly.Conn.Config.html#get_mode/1","title":"Grizzly.Conn.Config.get_mode/1","type":"function","doc":""},{"ref":"Grizzly.Conn.Config.html#new/1","title":"Grizzly.Conn.Config.new/1","type":"function","doc":""},{"ref":"Grizzly.Conn.Config.html#t:mode/0","title":"Grizzly.Conn.Config.mode/0","type":"type","doc":""},{"ref":"Grizzly.Conn.Config.html#t:t/0","title":"Grizzly.Conn.Config.t/0","type":"type","doc":"The configuration is define as follows: port: server port ip: server ip address client: the client that will hanlde connecting and message processing heart_beat_timer: the interval bewtween heart beats autoconnect: on start applcations should the connection automatically attempt to connect mode: either send command sync or aysnc. If sync is set then this will block the calller, async is set then messages with the connection will be pushed to the calling process."},{"ref":"Grizzly.Conn.Supervisor.html","title":"Grizzly.Conn.Supervisor","type":"module","doc":""},{"ref":"Grizzly.Conn.Supervisor.html#child_spec/1","title":"Grizzly.Conn.Supervisor.child_spec/1","type":"function","doc":"Returns a specification to start this module under a supervisor. See Supervisor."},{"ref":"Grizzly.Conn.Supervisor.html#init/1","title":"Grizzly.Conn.Supervisor.init/1","type":"function","doc":"Callback invoked to start the supervisor and during hot code upgrades. Developers typically invoke DynamicSupervisor.init/1 at the end of their init callback to return the proper supervision flags. Callback implementation for DynamicSupervisor.init/1."},{"ref":"Grizzly.Conn.Supervisor.html#start_child/1","title":"Grizzly.Conn.Supervisor.start_child/1","type":"function","doc":""},{"ref":"Grizzly.Conn.Supervisor.html#start_link/1","title":"Grizzly.Conn.Supervisor.start_link/1","type":"function","doc":""},{"ref":"Grizzly.Conn.Supervisor.html#stop_connection_server/1","title":"Grizzly.Conn.Supervisor.stop_connection_server/1","type":"function","doc":""},{"ref":"Grizzly.Controller.html","title":"Grizzly.Controller","type":"module","doc":"This module is for Z-Wave controller level operations. That mostly having to handle network related calls like adding/removing a node, geting nodes&#39; IP, listing nodes, and etc."},{"ref":"Grizzly.Controller.html#child_spec/1","title":"Grizzly.Controller.child_spec/1","type":"function","doc":"Returns a specification to start this module under a supervisor. See Supervisor."},{"ref":"Grizzly.Controller.html#conn/0","title":"Grizzly.Controller.conn/0","type":"function","doc":""},{"ref":"Grizzly.Controller.html#conn/1","title":"Grizzly.Controller.conn/1","type":"function","doc":"Get the connection but set to the given mode"},{"ref":"Grizzly.Controller.html#connected?/0","title":"Grizzly.Controller.connected?/0","type":"function","doc":"Check to see if the connection is connected to the gateway server."},{"ref":"Grizzly.Controller.html#start_link/1","title":"Grizzly.Controller.start_link/1","type":"function","doc":""},{"ref":"Grizzly.Inclusion.html","title":"Grizzly.Inclusion","type":"module","doc":"Z-Wave Inclusion Server Overview When using this process inclusion and exclusion are done asynchronously and information will be communicated via message passing. By default this process will send information about the inclusion to the process that started the inclusion. However, if you pass the :client option into the call that points to a pid, messages will be sent to that process. Moverover, the caller can pass in the :timeout option inorder to set the timeout of the inclusion. By default this is set to one minute. Adding Nodes Add To add a node to the network this is what will be called: Grizzly.Inclusion.add_node() This will return :ok and set the Z-Wave module into add node mode. You can use RingLogger.next to see the logs from grizzly and Grizzly to verify. In this example, whatever messages that are sent will go to the process who called this function. If you have a process that you what to filter all inclusion messages through you can run this: Grizzly.Inclusion.add_node(client: some_pid) This will then filter all messages to that client. A notification will be broadcasted, and a message sent to the client, like this: {:node_added, %Grizzly.Node{}} Remove To remove a node from the network this function should be called: Grizzly.Inclusion.remove_node() The :client option works like adding a node. When removing a node is successful and complete, a notification will be broadcasted, and a message sent to the client, like this: {:node_removed, node_id} Where node_id is an integer of the node&#39;s id that was removed If the node_id is 0, then the node was removed from another network and now can be included into this controller&#39;s network. Stopping This is useful for when an inclusion has started and the user wants to stop the inclusion process from taking place. The function to do this: Grizzly.Inclusion.add_node_stop() When this takes places the client will be sent a message like this: :node_add_stopped This is the same for removing a node but instead run this function: Grizzly.Inclusion.remove_node_stop() And this message will be sent to the client :node_remove_stopped Learn mode It is necessary to put the controller into Learn mode for it to be included by another controller. This is required for certification testing. Grizzly.Inclusion.start_learn_mode() The :client option works like adding a node. When being in Learn mode completes, a message sent to the client, like this: {:learn_mode_set, %{status: :done, new_node_id: 4}} When status is :done, new_node_id is the new node id taken by the controller (an integer other than 0). When status is :failed or :security_failed, Learn mode completed without the controller being included. Timeouts By default the timeout is set to one minute, but the :timeout option can passed into to either add_node/1 or remove_node/1 in milliseconds to adjust the timeout. When the time passes for the timeout to trigger the client will be sent two messages. The first is to let the client know that it timed out and the second is to confirm that the inclusion process was stopped on the Z-Wave module. For when add_node was called, the messages look like: {:timeout, :add_node} :node_add_stopped And for when remove_node was called, the messages look like: {:timeout, :add_node} :node_add_stopped The controller will only stay in Learn mode for a limited amount of time. If the process times out before it completes (successfully or not), the Learn mode is aborted. Errors Errors are reported to the client as follows {:error, :node_add_failed} {:error, :node_add_stopped} {:error, :node_remove_failed} {:error, :node_remove_stopped} {:error, :learn_mode_failed} {:error, :learn_mode_stopped}"},{"ref":"Grizzly.Inclusion.html#add_node/1","title":"Grizzly.Inclusion.add_node/1","type":"function","doc":"Start the process to add a node the network"},{"ref":"Grizzly.Inclusion.html#add_node_stop/1","title":"Grizzly.Inclusion.add_node_stop/1","type":"function","doc":"Stop the process to add a node to the network"},{"ref":"Grizzly.Inclusion.html#child_spec/1","title":"Grizzly.Inclusion.child_spec/1","type":"function","doc":"Returns a specification to start this module under a supervisor. See Supervisor."},{"ref":"Grizzly.Inclusion.html#remove_node/1","title":"Grizzly.Inclusion.remove_node/1","type":"function","doc":"Remove a node from the network"},{"ref":"Grizzly.Inclusion.html#remove_node_stop/1","title":"Grizzly.Inclusion.remove_node_stop/1","type":"function","doc":"Stop the remove node process from running"},{"ref":"Grizzly.Inclusion.html#start_learn_mode/1","title":"Grizzly.Inclusion.start_learn_mode/1","type":"function","doc":"Put the controller in learn mode for a few seconds"},{"ref":"Grizzly.Inclusion.html#start_link/1","title":"Grizzly.Inclusion.start_link/1","type":"function","doc":""},{"ref":"Grizzly.Inclusion.html#stop_learn_mode/1","title":"Grizzly.Inclusion.stop_learn_mode/1","type":"function","doc":"Put the controller out of learn mode"},{"ref":"Grizzly.Inclusion.html#t:invalid_opts_reason/0","title":"Grizzly.Inclusion.invalid_opts_reason/0","type":"type","doc":""},{"ref":"Grizzly.Inclusion.html#t:learn_mode_report/0","title":"Grizzly.Inclusion.learn_mode_report/0","type":"type","doc":""},{"ref":"Grizzly.Inclusion.html#t:opt/0","title":"Grizzly.Inclusion.opt/0","type":"type","doc":"Options for inclusion and exclusion process :client - the process the messages from the inclusion will sent to (default self) :timeout - the timeout interval for when to stop the adding/removing a node (default 60_000) :pin - this is used for S2 authenticated, when doing S2 authenticated inclusion this should be the 5 digit number printed on the joining device. :s2_keys - What keys to grant when the join node request keys, this will use the highest security group."},{"ref":"Grizzly.Network.html","title":"Grizzly.Network","type":"module","doc":"Module for working with the Z-Wave network"},{"ref":"Grizzly.Network.html#busy?/0","title":"Grizzly.Network.busy?/0","type":"function","doc":"Check to see if the network is busy"},{"ref":"Grizzly.Network.html#get_node/1","title":"Grizzly.Network.get_node/1","type":"function","doc":"Get a Node from the Z-Wave network"},{"ref":"Grizzly.Network.html#get_node_info/1","title":"Grizzly.Network.get_node_info/1","type":"function","doc":""},{"ref":"Grizzly.Network.html#get_nodes/0","title":"Grizzly.Network.get_nodes/0","type":"function","doc":"Get a list of nodes from the network"},{"ref":"Grizzly.Network.html#get_state/0","title":"Grizzly.Network.get_state/0","type":"function","doc":"Get the current state of the Network"},{"ref":"Grizzly.Network.html#ready?/0","title":"Grizzly.Network.ready?/0","type":"function","doc":"Check to see if the network is ready"},{"ref":"Grizzly.Network.html#reset/0","title":"Grizzly.Network.reset/0","type":"function","doc":"Reset the network"},{"ref":"Grizzly.Network.html#set_state/1","title":"Grizzly.Network.set_state/1","type":"function","doc":"Set the Z-Wave network state"},{"ref":"Grizzly.Node.html","title":"Grizzly.Node","type":"module","doc":"Data structure representing a Z-Wave Node"},{"ref":"Grizzly.Node.html#add_lifeline_group/2","title":"Grizzly.Node.add_lifeline_group/2","type":"function","doc":"Add a lifeline group association to this node. By default the lifeline group contains the controller node (id 1), so the extra_nodes field is a list of node ids to also be added to this node&#39;s lifeline group."},{"ref":"Grizzly.Node.html#command_class/2","title":"Grizzly.Node.command_class/2","type":"function","doc":"Get the node&#39;s command class by name"},{"ref":"Grizzly.Node.html#command_class_names/1","title":"Grizzly.Node.command_class_names/1","type":"function","doc":"Get the list of names of command classes supported by the node."},{"ref":"Grizzly.Node.html#command_class_versions_known?/1","title":"Grizzly.Node.command_class_versions_known?/1","type":"function","doc":"Whether the versions of a node&#39;s command class are all known"},{"ref":"Grizzly.Node.html#configure_association/3","title":"Grizzly.Node.configure_association/3","type":"function","doc":"Given a Node and an Association configure the node to have association."},{"ref":"Grizzly.Node.html#connect/2","title":"Grizzly.Node.connect/2","type":"function","doc":"Establish a connection with a Node Pass in connection options to build a Grizzly.Conn, will use Grizzly.conn() to build default values. If the node does not have an IP address, this function will attempt to retrieve that information from the Z-Wave network"},{"ref":"Grizzly.Node.html#connected?/1","title":"Grizzly.Node.connected?/1","type":"function","doc":"Whether a node is connected"},{"ref":"Grizzly.Node.html#disconnect/1","title":"Grizzly.Node.disconnect/1","type":"function","doc":""},{"ref":"Grizzly.Node.html#get_association_list/1","title":"Grizzly.Node.get_association_list/1","type":"function","doc":"Gets the association list of a Node.t"},{"ref":"Grizzly.Node.html#get_command_class_version/2","title":"Grizzly.Node.get_command_class_version/2","type":"function","doc":"Get the version of a node&#39;s command class, if the node does not have a version for this command class this function will try to get it from the Z-Wave network."},{"ref":"Grizzly.Node.html#get_ip/1","title":"Grizzly.Node.get_ip/1","type":"function","doc":"Get the Node&#39;s IP adress. If the node does not have an IP address this function will ask the Z-Wave network to provide the address. Normally, it is good to called put_ip/2 after this function. If the node has the IP address already, then this function will return that address"},{"ref":"Grizzly.Node.html#has_command_class?/2","title":"Grizzly.Node.has_command_class?/2","type":"function","doc":"Checks to see if the node has a particular command class"},{"ref":"Grizzly.Node.html#initialize_command_versions/1","title":"Grizzly.Node.initialize_command_versions/1","type":"function","doc":"Initialize a node&#39;s command classes with the default version"},{"ref":"Grizzly.Node.html#make_config/2","title":"Grizzly.Node.make_config/2","type":"function","doc":"Make the Node&#39;s Conn.Config. This will use the Grizzly.config() function but it will replace the ip_address field of that config with the Node&#39;s IP address. And optional keyword list of config overrides can be provided. See Grizzly.Conn.Config module for the valid fields."},{"ref":"Grizzly.Node.html#new/1","title":"Grizzly.Node.new/1","type":"function","doc":""},{"ref":"Grizzly.Node.html#put_association/2","title":"Grizzly.Node.put_association/2","type":"function","doc":"Put an Association into the association list of a node."},{"ref":"Grizzly.Node.html#put_ip/2","title":"Grizzly.Node.put_ip/2","type":"function","doc":"Adds the IP address to the node structure. If there is an IP address already part of the node this will override that field."},{"ref":"Grizzly.Node.html#update/2","title":"Grizzly.Node.update/2","type":"function","doc":"Batch update a Node&#39;s fields with new info."},{"ref":"Grizzly.Node.html#update_command_class/2","title":"Grizzly.Node.update_command_class/2","type":"function","doc":"Update a command class of a node."},{"ref":"Grizzly.Node.html#update_command_class_versions/1","title":"Grizzly.Node.update_command_class_versions/1","type":"function","doc":"Update the command class versions of a node"},{"ref":"Grizzly.Node.html#t:association_opt/0","title":"Grizzly.Node.association_opt/0","type":"type","doc":""},{"ref":"Grizzly.Node.html#t:node_id/0","title":"Grizzly.Node.node_id/0","type":"type","doc":""},{"ref":"Grizzly.Node.html#t:security/0","title":"Grizzly.Node.security/0","type":"type","doc":""},{"ref":"Grizzly.Node.html#t:t/0","title":"Grizzly.Node.t/0","type":"type","doc":""},{"ref":"Grizzly.Node.Association.html","title":"Grizzly.Node.Association","type":"module","doc":"This module is useful for working with Z-Wave Node Associations"},{"ref":"Grizzly.Node.Association.html#new/2","title":"Grizzly.Node.Association.new/2","type":"function","doc":""},{"ref":"Grizzly.Node.Association.html#to_keyword/1","title":"Grizzly.Node.Association.to_keyword/1","type":"function","doc":""},{"ref":"Grizzly.Node.Association.html#t:group/0","title":"Grizzly.Node.Association.group/0","type":"type","doc":""},{"ref":"Grizzly.Node.Association.html#t:t/0","title":"Grizzly.Node.Association.t/0","type":"type","doc":""},{"ref":"Grizzly.Notifications.html","title":"Grizzly.Notifications","type":"module","doc":"A pubsub module for sending and receiving notifications to and from Grizzly."},{"ref":"Grizzly.Notifications.html#broadcast/1","title":"Grizzly.Notifications.broadcast/1","type":"function","doc":"Broadcast a topic to the processes that are subscribed"},{"ref":"Grizzly.Notifications.html#broadcast/2","title":"Grizzly.Notifications.broadcast/2","type":"function","doc":"Broadcast a topic and some data with the topic. This will send the subscriber a tuple in the shape of {topic, data}"},{"ref":"Grizzly.Notifications.html#child_spec/1","title":"Grizzly.Notifications.child_spec/1","type":"function","doc":""},{"ref":"Grizzly.Notifications.html#start_link/0","title":"Grizzly.Notifications.start_link/0","type":"function","doc":""},{"ref":"Grizzly.Notifications.html#subscribe/1","title":"Grizzly.Notifications.subscribe/1","type":"function","doc":"Subscribe to a topic to receive messages"},{"ref":"Grizzly.Notifications.html#subscribe_all/1","title":"Grizzly.Notifications.subscribe_all/1","type":"function","doc":"Subscribe to a list of topics"},{"ref":"Grizzly.Notifications.html#unsubscribe/1","title":"Grizzly.Notifications.unsubscribe/1","type":"function","doc":"Unsubscribe from a topic"},{"ref":"Grizzly.Notifications.html#t:topic/0","title":"Grizzly.Notifications.topic/0","type":"type","doc":"The topics that are allowed for Grizzly notifications"},{"ref":"Grizzly.Packet.html","title":"Grizzly.Packet","type":"module","doc":"Module for working with raw Z/IP packets This is used to marshell a Z/IP packet of bytes into an Elixir data structure for use to work with. This data structure is a more &quot;lower level&quot; repersentation of the messaging between this library and Zwave. Most the time you should probably be working with a Grizzly.Message. This structure is for internal btye string parsing."},{"ref":"Grizzly.Packet.html#ack_request?/1","title":"Grizzly.Packet.ack_request?/1","type":"function","doc":""},{"ref":"Grizzly.Packet.html#as_ack_response/1","title":"Grizzly.Packet.as_ack_response/1","type":"function","doc":""},{"ref":"Grizzly.Packet.html#decode/1","title":"Grizzly.Packet.decode/1","type":"function","doc":""},{"ref":"Grizzly.Packet.html#header/1","title":"Grizzly.Packet.header/1","type":"function","doc":""},{"ref":"Grizzly.Packet.html#heart_beat/0","title":"Grizzly.Packet.heart_beat/0","type":"function","doc":"Return Z/IP binary for the heart beat packet"},{"ref":"Grizzly.Packet.html#heart_beat_response/1","title":"Grizzly.Packet.heart_beat_response/1","type":"function","doc":""},{"ref":"Grizzly.Packet.html#log/1","title":"Grizzly.Packet.log/1","type":"function","doc":""},{"ref":"Grizzly.Packet.html#new/1","title":"Grizzly.Packet.new/1","type":"function","doc":""},{"ref":"Grizzly.Packet.html#put_expected_delay/2","title":"Grizzly.Packet.put_expected_delay/2","type":"function","doc":""},{"ref":"Grizzly.Packet.html#raw?/1","title":"Grizzly.Packet.raw?/1","type":"function","doc":""},{"ref":"Grizzly.Packet.html#sleeping_delay?/1","title":"Grizzly.Packet.sleeping_delay?/1","type":"function","doc":""},{"ref":"Grizzly.Packet.html#t:t/0","title":"Grizzly.Packet.t/0","type":"type","doc":""},{"ref":"Grizzly.Packet.html#t:type/0","title":"Grizzly.Packet.type/0","type":"type","doc":""},{"ref":"Grizzly.Packet.BodyParser.html","title":"Grizzly.Packet.BodyParser","type":"module","doc":"A special parser for parsing the Z/IP packet body Documents to understand the binary structure of the Z/IP packets are: Z-Wave Command Class XML file SDS10242 Z-Wave Device Class Specifiction.pdf SDS11846 Z-Wave Plus Role Type Specification.pdf SDS11847 Z-Wave Plus Device Type Specificiation.pdf SDS13781 Z-Wave Application Command Class Specificiation.pdf SDS13782 Z-Wave Management Command Class Specificiation.pdf SDS13783 Z-Wave Transport-Encapsulation Command Class Specification.pdf SDS13784 Z-Wave Network-Protocol Command Class Specification.pdf SDS14223 Z-Wave Command Class Control Specification.pdf SDS14224 Z-Wave Plus v2 Device Type Specification.pdf All the above PDFs can be downloaded here A useful list of all the command classes and which doc to find them in is located here"},{"ref":"Grizzly.Packet.BodyParser.html#parse/1","title":"Grizzly.Packet.BodyParser.parse/1","type":"function","doc":""},{"ref":"Grizzly.Packet.HeaderExtension.html","title":"Grizzly.Packet.HeaderExtension","type":"module","doc":"Functions for working with the header extension in a Z/IP Packet."},{"ref":"Grizzly.Packet.HeaderExtension.html#expected_delay_from_seconds/1","title":"Grizzly.Packet.HeaderExtension.expected_delay_from_seconds/1","type":"function","doc":"Make an expected delay from seconds"},{"ref":"Grizzly.Packet.HeaderExtension.html#from_binary/1","title":"Grizzly.Packet.HeaderExtension.from_binary/1","type":"function","doc":"Try to parse a binary string into HeaderExtension.t()"},{"ref":"Grizzly.Packet.HeaderExtension.html#get_expected_delay/1","title":"Grizzly.Packet.HeaderExtension.get_expected_delay/1","type":"function","doc":"Given a header extension, get the expected delay in seconds"},{"ref":"Grizzly.Packet.HeaderExtension.html#t:extension/0","title":"Grizzly.Packet.HeaderExtension.extension/0","type":"type","doc":""},{"ref":"Grizzly.Packet.HeaderExtension.html#t:t/0","title":"Grizzly.Packet.HeaderExtension.t/0","type":"opaque","doc":""},{"ref":"Grizzly.Packet.HeaderExtension.EncapsulationFormatInfo.html","title":"Grizzly.Packet.HeaderExtension.EncapsulationFormatInfo","type":"module","doc":""},{"ref":"Grizzly.Packet.HeaderExtension.EncapsulationFormatInfo.html#crc16_from_byte/1","title":"Grizzly.Packet.HeaderExtension.EncapsulationFormatInfo.crc16_from_byte/1","type":"function","doc":""},{"ref":"Grizzly.Packet.HeaderExtension.EncapsulationFormatInfo.html#new/2","title":"Grizzly.Packet.HeaderExtension.EncapsulationFormatInfo.new/2","type":"function","doc":""},{"ref":"Grizzly.Packet.HeaderExtension.EncapsulationFormatInfo.html#security_to_security_from_byte/1","title":"Grizzly.Packet.HeaderExtension.EncapsulationFormatInfo.security_to_security_from_byte/1","type":"function","doc":""},{"ref":"Grizzly.Packet.HeaderExtension.ExpectedDelay.html","title":"Grizzly.Packet.HeaderExtension.ExpectedDelay","type":"module","doc":"Expected Delay is the header extension that is found in a Z/IP Command to indicate how many seconds until the command will be received by a node and processed. Non-Sleeping devices: this extension does not apply Frequently Listening Nodes: 1 seconds Sleeping devices: &gt; 1"},{"ref":"Grizzly.Packet.HeaderExtension.ExpectedDelay.html#get_seconds/1","title":"Grizzly.Packet.HeaderExtension.ExpectedDelay.get_seconds/1","type":"function","doc":"Get the number seconds of expected delay"},{"ref":"Grizzly.Packet.HeaderExtension.ExpectedDelay.html#new/1","title":"Grizzly.Packet.HeaderExtension.ExpectedDelay.new/1","type":"function","doc":""},{"ref":"Grizzly.Packet.HeaderExtension.ExpectedDelay.html#t:seconds/0","title":"Grizzly.Packet.HeaderExtension.ExpectedDelay.seconds/0","type":"type","doc":""},{"ref":"Grizzly.Packet.HeaderExtension.ExpectedDelay.html#t:t/0","title":"Grizzly.Packet.HeaderExtension.ExpectedDelay.t/0","type":"opaque","doc":""},{"ref":"Grizzly.Packet.HeaderExtension.InstallationAndMaintenanceGet.html","title":"Grizzly.Packet.HeaderExtension.InstallationAndMaintenanceGet","type":"module","doc":""},{"ref":"Grizzly.Packet.HeaderExtension.InstallationAndMaintenanceGet.html#new/0","title":"Grizzly.Packet.HeaderExtension.InstallationAndMaintenanceGet.new/0","type":"function","doc":""},{"ref":"Grizzly.Packet.HeaderExtension.InstallationAndMaintenanceReport.html","title":"Grizzly.Packet.HeaderExtension.InstallationAndMaintenanceReport","type":"module","doc":""},{"ref":"Grizzly.Packet.HeaderExtension.InstallationAndMaintenanceReport.html#from_binary/1","title":"Grizzly.Packet.HeaderExtension.InstallationAndMaintenanceReport.from_binary/1","type":"function","doc":""},{"ref":"Grizzly.Packet.HeaderExtension.InstallationAndMaintenanceReport.html#ime_from_binary/1","title":"Grizzly.Packet.HeaderExtension.InstallationAndMaintenanceReport.ime_from_binary/1","type":"function","doc":""},{"ref":"Grizzly.Packet.HeaderExtension.InstallationAndMaintenanceReport.html#new/1","title":"Grizzly.Packet.HeaderExtension.InstallationAndMaintenanceReport.new/1","type":"function","doc":""},{"ref":"Grizzly.Security.html","title":"Grizzly.Security","type":"module","doc":"Helpers for security"},{"ref":"Grizzly.Security.html#byte_to_keys/1","title":"Grizzly.Security.byte_to_keys/1","type":"function","doc":""},{"ref":"Grizzly.Security.html#failed_type_from_byte/1","title":"Grizzly.Security.failed_type_from_byte/1","type":"function","doc":"Decode a byte repersentation of the key exchanged failed type"},{"ref":"Grizzly.Security.html#get_highest_level/1","title":"Grizzly.Security.get_highest_level/1","type":"function","doc":"Gets the highest security level key from a key list Since Z-Wave will work at the highest S2 security group available on a node, if multiple groups are in a list of keys it will assume that highest level is the security level of the node who provided this list. If the node S0 security Z-Wave will response with granted keys with the lone key being S0."},{"ref":"Grizzly.Security.html#key_byte/1","title":"Grizzly.Security.key_byte/1","type":"function","doc":"Get the byte repersentation of a key. The key :none is an invalid key to encode to, so this function does not support encoding to that key."},{"ref":"Grizzly.Security.html#keys_to_byte/1","title":"Grizzly.Security.keys_to_byte/1","type":"function","doc":""},{"ref":"Grizzly.Security.html#validate_user_input_pin_length/1","title":"Grizzly.Security.validate_user_input_pin_length/1","type":"function","doc":"Validate the user input pin length, should be a 16 bit number"},{"ref":"Grizzly.Security.html#t:key/0","title":"Grizzly.Security.key/0","type":"type","doc":""},{"ref":"Grizzly.Security.html#t:key_byte/0","title":"Grizzly.Security.key_byte/0","type":"type","doc":""},{"ref":"Grizzly.Security.html#t:key_exchange_fail_type/0","title":"Grizzly.Security.key_exchange_fail_type/0","type":"type","doc":"Possible key exchange failures :none - Bootstrapping was successful :key - No match between requested and granted keys :scheme - no scheme is supported by the controller or joining node :decrypt - joining node failed to decrypt the input pin from the value. Wrong input value/DSK from user :cancel - user has canceled the S2 bootstrapping :auth - the echo kex change frame does not match the earlier exchanged frame :get - the joining node requested a key that was not granted by the controller at an earlier stage :verify - the joining node cannot verify and decrypt the exchanged key :report - the including node transmitted a frame containing a different key than what was currently being exchanged"},{"ref":"Grizzly.SeqNumber.html","title":"Grizzly.SeqNumber","type":"module","doc":"Used for managing sequence numbers. According to Z-Wave Network documentation we have to have a global seq number between the values 0x00 and 0xFF (0 - 255). This process is used for getting the current sequence number and incrementing the number correctly. After hitting 0xFF (255) the numer will start back at 0x00 (0). This is process is only meant to be used internal to the application."},{"ref":"Grizzly.SeqNumber.html#child_spec/1","title":"Grizzly.SeqNumber.child_spec/1","type":"function","doc":"Returns a specification to start this module under a supervisor. See Supervisor."},{"ref":"Grizzly.SeqNumber.html#get_and_inc/0","title":"Grizzly.SeqNumber.get_and_inc/0","type":"function","doc":""},{"ref":"Grizzly.SeqNumber.html#start_link/1","title":"Grizzly.SeqNumber.start_link/1","type":"function","doc":""},{"ref":"Grizzly.UnsolicitedServer.html","title":"Grizzly.UnsolicitedServer","type":"module","doc":""},{"ref":"Grizzly.UnsolicitedServer.html#child_spec/1","title":"Grizzly.UnsolicitedServer.child_spec/1","type":"function","doc":"Returns a specification to start this module under a supervisor. See Supervisor."},{"ref":"Grizzly.UnsolicitedServer.html#opts/2","title":"Grizzly.UnsolicitedServer.opts/2","type":"function","doc":""},{"ref":"Grizzly.UnsolicitedServer.html#start_accepting_sockets/1","title":"Grizzly.UnsolicitedServer.start_accepting_sockets/1","type":"function","doc":""},{"ref":"Grizzly.UnsolicitedServer.html#start_link/1","title":"Grizzly.UnsolicitedServer.start_link/1","type":"function","doc":""},{"ref":"Grizzly.UnsolicitedServer.html#user_lookup/3","title":"Grizzly.UnsolicitedServer.user_lookup/3","type":"function","doc":""},{"ref":"Grizzly.UnsolicitedServer.Config.html","title":"Grizzly.UnsolicitedServer.Config","type":"module","doc":""},{"ref":"Grizzly.UnsolicitedServer.Config.html#new/1","title":"Grizzly.UnsolicitedServer.Config.new/1","type":"function","doc":""},{"ref":"Grizzly.UnsolicitedServer.Config.html#t:t/0","title":"Grizzly.UnsolicitedServer.Config.t/0","type":"type","doc":""},{"ref":"Grizzly.UnsolicitedServer.Socket.Supervisor.html","title":"Grizzly.UnsolicitedServer.Socket.Supervisor","type":"module","doc":""},{"ref":"Grizzly.UnsolicitedServer.Socket.Supervisor.html#child_spec/1","title":"Grizzly.UnsolicitedServer.Socket.Supervisor.child_spec/1","type":"function","doc":"Returns a specification to start this module under a supervisor. See Supervisor."},{"ref":"Grizzly.UnsolicitedServer.Socket.Supervisor.html#init/1","title":"Grizzly.UnsolicitedServer.Socket.Supervisor.init/1","type":"function","doc":"Callback invoked to start the supervisor and during hot code upgrades. Developers typically invoke DynamicSupervisor.init/1 at the end of their init callback to return the proper supervision flags. Callback implementation for DynamicSupervisor.init/1."},{"ref":"Grizzly.UnsolicitedServer.Socket.Supervisor.html#start_link/1","title":"Grizzly.UnsolicitedServer.Socket.Supervisor.start_link/1","type":"function","doc":""},{"ref":"Grizzly.UnsolicitedServer.Socket.Supervisor.html#start_socket/1","title":"Grizzly.UnsolicitedServer.Socket.Supervisor.start_socket/1","type":"function","doc":""},{"ref":"Grizzly.CommandClass.html","title":"Grizzly.CommandClass","type":"module","doc":"A Z-Wave Command Class"},{"ref":"Grizzly.CommandClass.html#name/1","title":"Grizzly.CommandClass.name/1","type":"function","doc":"Get the name of a command class"},{"ref":"Grizzly.CommandClass.html#new/1","title":"Grizzly.CommandClass.new/1","type":"function","doc":"Make a new command class"},{"ref":"Grizzly.CommandClass.html#set_version/2","title":"Grizzly.CommandClass.set_version/2","type":"function","doc":"Set the version of the command"},{"ref":"Grizzly.CommandClass.html#version/1","title":"Grizzly.CommandClass.version/1","type":"function","doc":"Get the version of the command class"},{"ref":"Grizzly.CommandClass.html#versioned?/1","title":"Grizzly.CommandClass.versioned?/1","type":"function","doc":"Check if the command class has a version"},{"ref":"Grizzly.CommandClass.html#t:name/0","title":"Grizzly.CommandClass.name/0","type":"type","doc":""},{"ref":"Grizzly.CommandClass.html#t:t/0","title":"Grizzly.CommandClass.t/0","type":"opaque","doc":""},{"ref":"Grizzly.CommandClass.html#t:version/0","title":"Grizzly.CommandClass.version/0","type":"type","doc":""},{"ref":"Grizzly.CommandClass.Association.html","title":"Grizzly.CommandClass.Association","type":"module","doc":""},{"ref":"Grizzly.CommandClass.Association.html#decode_nodes/1","title":"Grizzly.CommandClass.Association.decode_nodes/1","type":"function","doc":""},{"ref":"Grizzly.CommandClass.Association.html#t:associated_nodes/0","title":"Grizzly.CommandClass.Association.associated_nodes/0","type":"type","doc":""},{"ref":"Grizzly.CommandClass.Basic.html","title":"Grizzly.CommandClass.Basic","type":"module","doc":""},{"ref":"Grizzly.CommandClass.Basic.html#encode_value/1","title":"Grizzly.CommandClass.Basic.encode_value/1","type":"function","doc":""},{"ref":"Grizzly.CommandClass.Basic.html#t:value/0","title":"Grizzly.CommandClass.Basic.value/0","type":"type","doc":""},{"ref":"Grizzly.CommandClass.Basic.html#t:value_byte/0","title":"Grizzly.CommandClass.Basic.value_byte/0","type":"type","doc":""},{"ref":"Grizzly.CommandClass.Battery.html","title":"Grizzly.CommandClass.Battery","type":"module","doc":""},{"ref":"Grizzly.CommandClass.Battery.html#decode_level/1","title":"Grizzly.CommandClass.Battery.decode_level/1","type":"function","doc":""},{"ref":"Grizzly.CommandClass.Battery.html#t:battery_level/0","title":"Grizzly.CommandClass.Battery.battery_level/0","type":"type","doc":""},{"ref":"Grizzly.CommandClass.Configuration.html","title":"Grizzly.CommandClass.Configuration","type":"module","doc":""},{"ref":"Grizzly.CommandClass.Configuration.html#t:param_arg/0","title":"Grizzly.CommandClass.Configuration.param_arg/0","type":"type","doc":""},{"ref":"Grizzly.CommandClass.DoorLock.html","title":"Grizzly.CommandClass.DoorLock","type":"module","doc":"Functions and types for working with data found found in the door lock command class."},{"ref":"Grizzly.CommandClass.DoorLock.html#decode_mode/1","title":"Grizzly.CommandClass.DoorLock.decode_mode/1","type":"function","doc":""},{"ref":"Grizzly.CommandClass.DoorLock.html#encode_mode/1","title":"Grizzly.CommandClass.DoorLock.encode_mode/1","type":"function","doc":""},{"ref":"Grizzly.CommandClass.DoorLock.html#t:decoded_mode/0","title":"Grizzly.CommandClass.DoorLock.decoded_mode/0","type":"type","doc":""},{"ref":"Grizzly.CommandClass.DoorLock.html#t:door_lock_mode/0","title":"Grizzly.CommandClass.DoorLock.door_lock_mode/0","type":"type","doc":"A type to represent the different door lock modes :secured - an alias to 0xFF :unsecured - an alias to 0x00 0x00 - unsecured 0x01 - unsecured with timeout 0x10 - unsecured inside door handles 0x11 - unsecured inside door handles with timeout 0x20 - unsecured for outside door handles 0x21 - unsecured for outside door handles with timeout 0xFF - secured"},{"ref":"Grizzly.CommandClass.DoorLock.html#t:door_lock_mode_byte/0","title":"Grizzly.CommandClass.DoorLock.door_lock_mode_byte/0","type":"type","doc":""},{"ref":"Grizzly.CommandClass.FirmwareUpdateMD.html","title":"Grizzly.CommandClass.FirmwareUpdateMD","type":"module","doc":""},{"ref":"Grizzly.CommandClass.FirmwareUpdateMD.html#t:report/0","title":"Grizzly.CommandClass.FirmwareUpdateMD.report/0","type":"type","doc":""},{"ref":"Grizzly.CommandClass.Mailbox.html","title":"Grizzly.CommandClass.Mailbox","type":"module","doc":""},{"ref":"Grizzly.CommandClass.Mailbox.html#mode_from_byte/1","title":"Grizzly.CommandClass.Mailbox.mode_from_byte/1","type":"function","doc":""},{"ref":"Grizzly.CommandClass.Mailbox.html#t:mode/0","title":"Grizzly.CommandClass.Mailbox.mode/0","type":"type","doc":""},{"ref":"Grizzly.CommandClass.ManufacturerSpecific.html","title":"Grizzly.CommandClass.ManufacturerSpecific","type":"module","doc":""},{"ref":"Grizzly.CommandClass.ManufacturerSpecific.html#decode_device_id_data_format/1","title":"Grizzly.CommandClass.ManufacturerSpecific.decode_device_id_data_format/1","type":"function","doc":""},{"ref":"Grizzly.CommandClass.ManufacturerSpecific.html#decode_device_id_type/1","title":"Grizzly.CommandClass.ManufacturerSpecific.decode_device_id_type/1","type":"function","doc":""},{"ref":"Grizzly.CommandClass.ManufacturerSpecific.html#encode_device_id_type/1","title":"Grizzly.CommandClass.ManufacturerSpecific.encode_device_id_type/1","type":"function","doc":""},{"ref":"Grizzly.CommandClass.ManufacturerSpecific.html#t:device_id_data_format/0","title":"Grizzly.CommandClass.ManufacturerSpecific.device_id_data_format/0","type":"type","doc":""},{"ref":"Grizzly.CommandClass.ManufacturerSpecific.html#t:device_id_data_format_byte/0","title":"Grizzly.CommandClass.ManufacturerSpecific.device_id_data_format_byte/0","type":"type","doc":""},{"ref":"Grizzly.CommandClass.ManufacturerSpecific.html#t:device_id_type/0","title":"Grizzly.CommandClass.ManufacturerSpecific.device_id_type/0","type":"type","doc":""},{"ref":"Grizzly.CommandClass.ManufacturerSpecific.html#t:device_id_type_byte/0","title":"Grizzly.CommandClass.ManufacturerSpecific.device_id_type_byte/0","type":"type","doc":""},{"ref":"Grizzly.CommandClass.ManufacturerSpecific.html#t:device_specific_report/0","title":"Grizzly.CommandClass.ManufacturerSpecific.device_specific_report/0","type":"type","doc":""},{"ref":"Grizzly.CommandClass.Meter.html","title":"Grizzly.CommandClass.Meter","type":"module","doc":""},{"ref":"Grizzly.CommandClass.Meter.html#t:meter_report/0","title":"Grizzly.CommandClass.Meter.meter_report/0","type":"type","doc":""},{"ref":"Grizzly.CommandClass.MultiChannelAssociation.html","title":"Grizzly.CommandClass.MultiChannelAssociation","type":"module","doc":""},{"ref":"Grizzly.CommandClass.MultiChannelAssociation.html#decode_nodes_and_endpoints/1","title":"Grizzly.CommandClass.MultiChannelAssociation.decode_nodes_and_endpoints/1","type":"function","doc":""},{"ref":"Grizzly.CommandClass.MultiChannelAssociation.html#encode_endpoints/1","title":"Grizzly.CommandClass.MultiChannelAssociation.encode_endpoints/1","type":"function","doc":""},{"ref":"Grizzly.CommandClass.MultiChannelAssociation.html#marker/0","title":"Grizzly.CommandClass.MultiChannelAssociation.marker/0","type":"function","doc":""},{"ref":"Grizzly.CommandClass.MultiChannelAssociation.html#t:associated_nodes/0","title":"Grizzly.CommandClass.MultiChannelAssociation.associated_nodes/0","type":"type","doc":""},{"ref":"Grizzly.CommandClass.MultiChannelAssociation.html#t:endpoint/0","title":"Grizzly.CommandClass.MultiChannelAssociation.endpoint/0","type":"type","doc":""},{"ref":"Grizzly.CommandClass.MultiChannelAssociation.html#t:endpoints/0","title":"Grizzly.CommandClass.MultiChannelAssociation.endpoints/0","type":"type","doc":""},{"ref":"Grizzly.CommandClass.MultiChannelAssociation.html#t:multi_channel_association_report/0","title":"Grizzly.CommandClass.MultiChannelAssociation.multi_channel_association_report/0","type":"type","doc":""},{"ref":"Grizzly.CommandClass.MultilevelSensor.html","title":"Grizzly.CommandClass.MultilevelSensor","type":"module","doc":"Conversions for multilevel sensors."},{"ref":"Grizzly.CommandClass.MultilevelSensor.html#decode_sensor_types/1","title":"Grizzly.CommandClass.MultilevelSensor.decode_sensor_types/1","type":"function","doc":""},{"ref":"Grizzly.CommandClass.MultilevelSensor.html#decode_type/1","title":"Grizzly.CommandClass.MultilevelSensor.decode_type/1","type":"function","doc":""},{"ref":"Grizzly.CommandClass.MultilevelSensor.html#encode_type/1","title":"Grizzly.CommandClass.MultilevelSensor.encode_type/1","type":"function","doc":""},{"ref":"Grizzly.CommandClass.MultilevelSensor.html#t:level_type/0","title":"Grizzly.CommandClass.MultilevelSensor.level_type/0","type":"type","doc":""},{"ref":"Grizzly.CommandClass.NetworkManagementBasic.html","title":"Grizzly.CommandClass.NetworkManagementBasic","type":"module","doc":""},{"ref":"Grizzly.CommandClass.NetworkManagementBasic.html#decode_default_set_status/1","title":"Grizzly.CommandClass.NetworkManagementBasic.decode_default_set_status/1","type":"function","doc":""},{"ref":"Grizzly.CommandClass.NetworkManagementBasic.html#decode_learn_mode_set_status/2","title":"Grizzly.CommandClass.NetworkManagementBasic.decode_learn_mode_set_status/2","type":"function","doc":""},{"ref":"Grizzly.CommandClass.NetworkManagementBasic.html#encode_learn_mode/1","title":"Grizzly.CommandClass.NetworkManagementBasic.encode_learn_mode/1","type":"function","doc":""},{"ref":"Grizzly.CommandClass.NetworkManagementBasic.html#t:default_set_status/0","title":"Grizzly.CommandClass.NetworkManagementBasic.default_set_status/0","type":"type","doc":""},{"ref":"Grizzly.CommandClass.NetworkManagementBasic.html#t:learn_mode/0","title":"Grizzly.CommandClass.NetworkManagementBasic.learn_mode/0","type":"type","doc":""},{"ref":"Grizzly.CommandClass.NetworkManagementBasic.html#t:learn_mode_byte/0","title":"Grizzly.CommandClass.NetworkManagementBasic.learn_mode_byte/0","type":"type","doc":""},{"ref":"Grizzly.CommandClass.NetworkManagementBasic.html#t:learn_mode_status/0","title":"Grizzly.CommandClass.NetworkManagementBasic.learn_mode_status/0","type":"type","doc":""},{"ref":"Grizzly.CommandClass.NetworkManagementInclusion.html","title":"Grizzly.CommandClass.NetworkManagementInclusion","type":"module","doc":""},{"ref":"Grizzly.CommandClass.NetworkManagementInclusion.html#decode_node_neighbor_update_status/1","title":"Grizzly.CommandClass.NetworkManagementInclusion.decode_node_neighbor_update_status/1","type":"function","doc":""},{"ref":"Grizzly.CommandClass.NetworkManagementInclusion.html#encode_accept/1","title":"Grizzly.CommandClass.NetworkManagementInclusion.encode_accept/1","type":"function","doc":""},{"ref":"Grizzly.CommandClass.NetworkManagementInclusion.html#encode_accept_s2_bootstrapping/1","title":"Grizzly.CommandClass.NetworkManagementInclusion.encode_accept_s2_bootstrapping/1","type":"function","doc":""},{"ref":"Grizzly.CommandClass.NetworkManagementInclusion.html#encode_add_mode/1","title":"Grizzly.CommandClass.NetworkManagementInclusion.encode_add_mode/1","type":"function","doc":""},{"ref":"Grizzly.CommandClass.NetworkManagementInclusion.html#encode_csa/1","title":"Grizzly.CommandClass.NetworkManagementInclusion.encode_csa/1","type":"function","doc":""},{"ref":"Grizzly.CommandClass.NetworkManagementInclusion.html#encode_remove_mode/1","title":"Grizzly.CommandClass.NetworkManagementInclusion.encode_remove_mode/1","type":"function","doc":""},{"ref":"Grizzly.CommandClass.NetworkManagementInclusion.html#t:accept_byte/0","title":"Grizzly.CommandClass.NetworkManagementInclusion.accept_byte/0","type":"type","doc":""},{"ref":"Grizzly.CommandClass.NetworkManagementInclusion.html#t:add_mode/0","title":"Grizzly.CommandClass.NetworkManagementInclusion.add_mode/0","type":"type","doc":""},{"ref":"Grizzly.CommandClass.NetworkManagementInclusion.html#t:add_mode_byte/0","title":"Grizzly.CommandClass.NetworkManagementInclusion.add_mode_byte/0","type":"type","doc":""},{"ref":"Grizzly.CommandClass.NetworkManagementInclusion.html#t:csa_byte/0","title":"Grizzly.CommandClass.NetworkManagementInclusion.csa_byte/0","type":"type","doc":""},{"ref":"Grizzly.CommandClass.NetworkManagementInclusion.html#t:node_neighbor_update_status/0","title":"Grizzly.CommandClass.NetworkManagementInclusion.node_neighbor_update_status/0","type":"type","doc":""},{"ref":"Grizzly.CommandClass.NetworkManagementInclusion.html#t:remove_mode/0","title":"Grizzly.CommandClass.NetworkManagementInclusion.remove_mode/0","type":"type","doc":""},{"ref":"Grizzly.CommandClass.NetworkManagementInclusion.html#t:remove_mode_byte/0","title":"Grizzly.CommandClass.NetworkManagementInclusion.remove_mode_byte/0","type":"type","doc":""},{"ref":"Grizzly.CommandClass.NetworkManagementInstallationMaintenance.html","title":"Grizzly.CommandClass.NetworkManagementInstallationMaintenance","type":"module","doc":""},{"ref":"Grizzly.CommandClass.NetworkManagementInstallationMaintenance.html#decode_route_type/1","title":"Grizzly.CommandClass.NetworkManagementInstallationMaintenance.decode_route_type/1","type":"function","doc":""},{"ref":"Grizzly.CommandClass.NetworkManagementInstallationMaintenance.html#decode_rssi_value/1","title":"Grizzly.CommandClass.NetworkManagementInstallationMaintenance.decode_rssi_value/1","type":"function","doc":""},{"ref":"Grizzly.CommandClass.NetworkManagementInstallationMaintenance.html#decode_speed/1","title":"Grizzly.CommandClass.NetworkManagementInstallationMaintenance.decode_speed/1","type":"function","doc":""},{"ref":"Grizzly.CommandClass.NetworkManagementInstallationMaintenance.html#decode_statistics/1","title":"Grizzly.CommandClass.NetworkManagementInstallationMaintenance.decode_statistics/1","type":"function","doc":""},{"ref":"Grizzly.CommandClass.NetworkManagementInstallationMaintenance.html#t:priority_route_report/0","title":"Grizzly.CommandClass.NetworkManagementInstallationMaintenance.priority_route_report/0","type":"type","doc":""},{"ref":"Grizzly.CommandClass.NetworkManagementInstallationMaintenance.html#t:route_type/0","title":"Grizzly.CommandClass.NetworkManagementInstallationMaintenance.route_type/0","type":"type","doc":""},{"ref":"Grizzly.CommandClass.NetworkManagementInstallationMaintenance.html#t:rssi_report/0","title":"Grizzly.CommandClass.NetworkManagementInstallationMaintenance.rssi_report/0","type":"type","doc":""},{"ref":"Grizzly.CommandClass.NetworkManagementInstallationMaintenance.html#t:rssi_value/0","title":"Grizzly.CommandClass.NetworkManagementInstallationMaintenance.rssi_value/0","type":"type","doc":""},{"ref":"Grizzly.CommandClass.NetworkManagementInstallationMaintenance.html#t:speed/0","title":"Grizzly.CommandClass.NetworkManagementInstallationMaintenance.speed/0","type":"type","doc":""},{"ref":"Grizzly.CommandClass.NetworkManagementInstallationMaintenance.html#t:statistics_report/0","title":"Grizzly.CommandClass.NetworkManagementInstallationMaintenance.statistics_report/0","type":"type","doc":""},{"ref":"Grizzly.CommandClass.NoOperation.html","title":"Grizzly.CommandClass.NoOperation","type":"module","doc":"Command module to work with the NO_OPERATION command class Command Options: :seq_number - The sequence number of the Z/IP Packet :retries - The number of times to try to send the command (default 2)"},{"ref":"Grizzly.CommandClass.NoOperation.html#encode/1","title":"Grizzly.CommandClass.NoOperation.encode/1","type":"function","doc":"Callback implementation for Grizzly.Command.encode/1."},{"ref":"Grizzly.CommandClass.NoOperation.html#handle_response/2","title":"Grizzly.CommandClass.NoOperation.handle_response/2","type":"function","doc":"Callback implementation for Grizzly.Command.handle_response/2."},{"ref":"Grizzly.CommandClass.NoOperation.html#init/1","title":"Grizzly.CommandClass.NoOperation.init/1","type":"function","doc":"Callback implementation for Grizzly.Command.init/1."},{"ref":"Grizzly.CommandClass.NoOperation.html#t:opt/0","title":"Grizzly.CommandClass.NoOperation.opt/0","type":"type","doc":""},{"ref":"Grizzly.CommandClass.NoOperation.html#t:t/0","title":"Grizzly.CommandClass.NoOperation.t/0","type":"type","doc":""},{"ref":"Grizzly.CommandClass.Notification.html","title":"Grizzly.CommandClass.Notification","type":"module","doc":""},{"ref":"Grizzly.CommandClass.Notification.html#state_from_byte/2","title":"Grizzly.CommandClass.Notification.state_from_byte/2","type":"function","doc":"Pass in the notification type and the byte for the event/state and get back the name of the event/state"},{"ref":"Grizzly.CommandClass.Notification.html#type_from_byte/1","title":"Grizzly.CommandClass.Notification.type_from_byte/1","type":"function","doc":""},{"ref":"Grizzly.CommandClass.Notification.html#t:report/0","title":"Grizzly.CommandClass.Notification.report/0","type":"type","doc":""},{"ref":"Grizzly.CommandClass.Powerlevel.html","title":"Grizzly.CommandClass.Powerlevel","type":"module","doc":""},{"ref":"Grizzly.CommandClass.Powerlevel.html#decode_power_level/1","title":"Grizzly.CommandClass.Powerlevel.decode_power_level/1","type":"function","doc":""},{"ref":"Grizzly.CommandClass.Powerlevel.html#decode_status_of_operation/1","title":"Grizzly.CommandClass.Powerlevel.decode_status_of_operation/1","type":"function","doc":""},{"ref":"Grizzly.CommandClass.Powerlevel.html#encode_power_level/1","title":"Grizzly.CommandClass.Powerlevel.encode_power_level/1","type":"function","doc":""},{"ref":"Grizzly.CommandClass.Powerlevel.html#t:power_level_description/0","title":"Grizzly.CommandClass.Powerlevel.power_level_description/0","type":"type","doc":""},{"ref":"Grizzly.CommandClass.Powerlevel.html#t:power_level_report/0","title":"Grizzly.CommandClass.Powerlevel.power_level_report/0","type":"type","doc":""},{"ref":"Grizzly.CommandClass.Powerlevel.html#t:power_level_value/0","title":"Grizzly.CommandClass.Powerlevel.power_level_value/0","type":"type","doc":""},{"ref":"Grizzly.CommandClass.Powerlevel.html#t:status_of_operation_description/0","title":"Grizzly.CommandClass.Powerlevel.status_of_operation_description/0","type":"type","doc":""},{"ref":"Grizzly.CommandClass.Powerlevel.html#t:status_of_operation_value/0","title":"Grizzly.CommandClass.Powerlevel.status_of_operation_value/0","type":"type","doc":""},{"ref":"Grizzly.CommandClass.Powerlevel.html#t:test_node_report/0","title":"Grizzly.CommandClass.Powerlevel.test_node_report/0","type":"type","doc":""},{"ref":"Grizzly.CommandClass.ScheduleEntryLock.html","title":"Grizzly.CommandClass.ScheduleEntryLock","type":"module","doc":""},{"ref":"Grizzly.CommandClass.ScheduleEntryLock.html#decode_weekdays/1","title":"Grizzly.CommandClass.ScheduleEntryLock.decode_weekdays/1","type":"function","doc":""},{"ref":"Grizzly.CommandClass.ScheduleEntryLock.html#decode_year/1","title":"Grizzly.CommandClass.ScheduleEntryLock.decode_year/1","type":"function","doc":"Given the last two digits of a year, return the year"},{"ref":"Grizzly.CommandClass.ScheduleEntryLock.html#encode_enable_action/1","title":"Grizzly.CommandClass.ScheduleEntryLock.encode_enable_action/1","type":"function","doc":""},{"ref":"Grizzly.CommandClass.ScheduleEntryLock.html#encode_enabled_value/1","title":"Grizzly.CommandClass.ScheduleEntryLock.encode_enabled_value/1","type":"function","doc":""},{"ref":"Grizzly.CommandClass.ScheduleEntryLock.html#encode_weekdays/1","title":"Grizzly.CommandClass.ScheduleEntryLock.encode_weekdays/1","type":"function","doc":""},{"ref":"Grizzly.CommandClass.ScheduleEntryLock.html#encode_year/1","title":"Grizzly.CommandClass.ScheduleEntryLock.encode_year/1","type":"function","doc":"Given a year, return the last two digits of it"},{"ref":"Grizzly.CommandClass.ScheduleEntryLock.html#t:daily_repeating_report/0","title":"Grizzly.CommandClass.ScheduleEntryLock.daily_repeating_report/0","type":"type","doc":""},{"ref":"Grizzly.CommandClass.ScheduleEntryLock.html#t:enable_action/0","title":"Grizzly.CommandClass.ScheduleEntryLock.enable_action/0","type":"type","doc":""},{"ref":"Grizzly.CommandClass.ScheduleEntryLock.html#t:enabled_value/0","title":"Grizzly.CommandClass.ScheduleEntryLock.enabled_value/0","type":"type","doc":""},{"ref":"Grizzly.CommandClass.ScheduleEntryLock.html#t:enabled_value_byte/0","title":"Grizzly.CommandClass.ScheduleEntryLock.enabled_value_byte/0","type":"type","doc":""},{"ref":"Grizzly.CommandClass.ScheduleEntryLock.html#t:supported_report/0","title":"Grizzly.CommandClass.ScheduleEntryLock.supported_report/0","type":"type","doc":""},{"ref":"Grizzly.CommandClass.ScheduleEntryLock.html#t:weekday/0","title":"Grizzly.CommandClass.ScheduleEntryLock.weekday/0","type":"type","doc":""},{"ref":"Grizzly.CommandClass.ScheduleEntryLock.html#t:weekdays/0","title":"Grizzly.CommandClass.ScheduleEntryLock.weekdays/0","type":"type","doc":""},{"ref":"Grizzly.CommandClass.ScheduleEntryLock.html#t:year_day_report/0","title":"Grizzly.CommandClass.ScheduleEntryLock.year_day_report/0","type":"type","doc":""},{"ref":"Grizzly.CommandClass.SwitchBinary.html","title":"Grizzly.CommandClass.SwitchBinary","type":"module","doc":""},{"ref":"Grizzly.CommandClass.SwitchBinary.html#encode_switch_state/1","title":"Grizzly.CommandClass.SwitchBinary.encode_switch_state/1","type":"function","doc":""},{"ref":"Grizzly.CommandClass.SwitchBinary.html#t:switch_state/0","title":"Grizzly.CommandClass.SwitchBinary.switch_state/0","type":"type","doc":""},{"ref":"Grizzly.CommandClass.SwitchBinary.html#t:switch_state_byte/0","title":"Grizzly.CommandClass.SwitchBinary.switch_state_byte/0","type":"type","doc":""},{"ref":"Grizzly.CommandClass.SwitchMultilevel.html","title":"Grizzly.CommandClass.SwitchMultilevel","type":"module","doc":""},{"ref":"Grizzly.CommandClass.SwitchMultilevel.html#decode_switch_state/1","title":"Grizzly.CommandClass.SwitchMultilevel.decode_switch_state/1","type":"function","doc":""},{"ref":"Grizzly.CommandClass.SwitchMultilevel.html#encode_switch_state/1","title":"Grizzly.CommandClass.SwitchMultilevel.encode_switch_state/1","type":"function","doc":""},{"ref":"Grizzly.CommandClass.SwitchMultilevel.html#t:switch_state/0","title":"Grizzly.CommandClass.SwitchMultilevel.switch_state/0","type":"type","doc":""},{"ref":"Grizzly.CommandClass.ThermostatFanMode.html","title":"Grizzly.CommandClass.ThermostatFanMode","type":"module","doc":""},{"ref":"Grizzly.CommandClass.ThermostatFanMode.html#decode_thermostat_fan_mode/1","title":"Grizzly.CommandClass.ThermostatFanMode.decode_thermostat_fan_mode/1","type":"function","doc":""},{"ref":"Grizzly.CommandClass.ThermostatFanMode.html#encode_thermostat_fan_mode/1","title":"Grizzly.CommandClass.ThermostatFanMode.encode_thermostat_fan_mode/1","type":"function","doc":""},{"ref":"Grizzly.CommandClass.ThermostatFanMode.html#t:fan_mode_byte/0","title":"Grizzly.CommandClass.ThermostatFanMode.fan_mode_byte/0","type":"type","doc":""},{"ref":"Grizzly.CommandClass.ThermostatFanMode.html#t:thermostat_fan_mode/0","title":"Grizzly.CommandClass.ThermostatFanMode.thermostat_fan_mode/0","type":"type","doc":""},{"ref":"Grizzly.CommandClass.ThermostatFanState.html","title":"Grizzly.CommandClass.ThermostatFanState","type":"module","doc":""},{"ref":"Grizzly.CommandClass.ThermostatFanState.html#decode_state/1","title":"Grizzly.CommandClass.ThermostatFanState.decode_state/1","type":"function","doc":""},{"ref":"Grizzly.CommandClass.ThermostatFanState.html#t:state/0","title":"Grizzly.CommandClass.ThermostatFanState.state/0","type":"type","doc":""},{"ref":"Grizzly.CommandClass.ThermostatMode.html","title":"Grizzly.CommandClass.ThermostatMode","type":"module","doc":""},{"ref":"Grizzly.CommandClass.ThermostatMode.html#decode_mode/1","title":"Grizzly.CommandClass.ThermostatMode.decode_mode/1","type":"function","doc":""},{"ref":"Grizzly.CommandClass.ThermostatMode.html#encode_mode/1","title":"Grizzly.CommandClass.ThermostatMode.encode_mode/1","type":"function","doc":""},{"ref":"Grizzly.CommandClass.ThermostatMode.html#t:mode/0","title":"Grizzly.CommandClass.ThermostatMode.mode/0","type":"type","doc":""},{"ref":"Grizzly.CommandClass.ThermostatSetback.html","title":"Grizzly.CommandClass.ThermostatSetback","type":"module","doc":"Module for generating the thermostat setback command"},{"ref":"Grizzly.CommandClass.ThermostatSetback.html#decode_setback_state/1","title":"Grizzly.CommandClass.ThermostatSetback.decode_setback_state/1","type":"function","doc":""},{"ref":"Grizzly.CommandClass.ThermostatSetback.html#decode_setback_type/1","title":"Grizzly.CommandClass.ThermostatSetback.decode_setback_type/1","type":"function","doc":""},{"ref":"Grizzly.CommandClass.ThermostatSetback.html#encode_setback_state/1","title":"Grizzly.CommandClass.ThermostatSetback.encode_setback_state/1","type":"function","doc":""},{"ref":"Grizzly.CommandClass.ThermostatSetback.html#encode_setback_type/1","title":"Grizzly.CommandClass.ThermostatSetback.encode_setback_type/1","type":"function","doc":""},{"ref":"Grizzly.CommandClass.ThermostatSetback.html#t:setback_state/0","title":"Grizzly.CommandClass.ThermostatSetback.setback_state/0","type":"type","doc":""},{"ref":"Grizzly.CommandClass.ThermostatSetback.html#t:setback_type/0","title":"Grizzly.CommandClass.ThermostatSetback.setback_type/0","type":"type","doc":"Type for the different setback types."},{"ref":"Grizzly.CommandClass.ThermostatSetpoint.html","title":"Grizzly.CommandClass.ThermostatSetpoint","type":"module","doc":"Module for generating the thermostat setpoint command"},{"ref":"Grizzly.CommandClass.ThermostatSetpoint.html#decode_setpoint_type/1","title":"Grizzly.CommandClass.ThermostatSetpoint.decode_setpoint_type/1","type":"function","doc":""},{"ref":"Grizzly.CommandClass.ThermostatSetpoint.html#encode_opts/1","title":"Grizzly.CommandClass.ThermostatSetpoint.encode_opts/1","type":"function","doc":""},{"ref":"Grizzly.CommandClass.ThermostatSetpoint.html#encode_setpoint_type/1","title":"Grizzly.CommandClass.ThermostatSetpoint.encode_setpoint_type/1","type":"function","doc":""},{"ref":"Grizzly.CommandClass.ThermostatSetpoint.html#t:setpoint_type/0","title":"Grizzly.CommandClass.ThermostatSetpoint.setpoint_type/0","type":"type","doc":"Type for the different setpoint types. Possible to send raw byte for a different setpoint type if needed. Otherwise, :cooling and :heating atoms are the explicitly supported setpoint types."},{"ref":"Grizzly.CommandClass.ThermostatSetpoint.html#t:setpoint_value/0","title":"Grizzly.CommandClass.ThermostatSetpoint.setpoint_value/0","type":"type","doc":""},{"ref":"Grizzly.CommandClass.UserCode.html","title":"Grizzly.CommandClass.UserCode","type":"module","doc":""},{"ref":"Grizzly.CommandClass.UserCode.html#decode_slot_status/1","title":"Grizzly.CommandClass.UserCode.decode_slot_status/1","type":"function","doc":""},{"ref":"Grizzly.CommandClass.UserCode.html#empty_code/0","title":"Grizzly.CommandClass.UserCode.empty_code/0","type":"function","doc":"The default empty code to be sent. This function is useful to use when trying to set a user code slot from occupied to available"},{"ref":"Grizzly.CommandClass.UserCode.html#encode_status/1","title":"Grizzly.CommandClass.UserCode.encode_status/1","type":"function","doc":""},{"ref":"Grizzly.CommandClass.UserCode.html#encode_user_code/1","title":"Grizzly.CommandClass.UserCode.encode_user_code/1","type":"function","doc":""},{"ref":"Grizzly.CommandClass.UserCode.html#t:slot_id/0","title":"Grizzly.CommandClass.UserCode.slot_id/0","type":"type","doc":""},{"ref":"Grizzly.CommandClass.UserCode.html#t:slot_status/0","title":"Grizzly.CommandClass.UserCode.slot_status/0","type":"type","doc":""},{"ref":"Grizzly.CommandClass.UserCode.html#t:user_code/0","title":"Grizzly.CommandClass.UserCode.user_code/0","type":"type","doc":""},{"ref":"Grizzly.CommandClass.Version.html","title":"Grizzly.CommandClass.Version","type":"module","doc":"Helpers for working with the command class VERSION"},{"ref":"Grizzly.CommandClass.Version.html#decode_library_type/1","title":"Grizzly.CommandClass.Version.decode_library_type/1","type":"function","doc":"Decode a byte into a library type"},{"ref":"Grizzly.CommandClass.Version.html#decode_report_data/1","title":"Grizzly.CommandClass.Version.decode_report_data/1","type":"function","doc":"Decode version report data"},{"ref":"Grizzly.CommandClass.Version.html#decode_version_report/1","title":"Grizzly.CommandClass.Version.decode_version_report/1","type":"function","doc":""},{"ref":"Grizzly.CommandClass.Version.html#encode_command_class/1","title":"Grizzly.CommandClass.Version.encode_command_class/1","type":"function","doc":"Encode command class"},{"ref":"Grizzly.CommandClass.Version.html#t:library_type/0","title":"Grizzly.CommandClass.Version.library_type/0","type":"type","doc":""},{"ref":"Grizzly.CommandClass.Version.html#t:version_report/0","title":"Grizzly.CommandClass.Version.version_report/0","type":"type","doc":""},{"ref":"Grizzly.CommandClass.WakeUp.html","title":"Grizzly.CommandClass.WakeUp","type":"module","doc":""},{"ref":"Grizzly.CommandClass.WakeUp.html#t:interval/0","title":"Grizzly.CommandClass.WakeUp.interval/0","type":"type","doc":""},{"ref":"Grizzly.CommandClass.ZwaveplusInfo.html","title":"Grizzly.CommandClass.ZwaveplusInfo","type":"module","doc":""},{"ref":"Grizzly.CommandClass.ZwaveplusInfo.html#decode_node_type/1","title":"Grizzly.CommandClass.ZwaveplusInfo.decode_node_type/1","type":"function","doc":""},{"ref":"Grizzly.CommandClass.ZwaveplusInfo.html#decode_role_type/1","title":"Grizzly.CommandClass.ZwaveplusInfo.decode_role_type/1","type":"function","doc":""},{"ref":"Grizzly.CommandClass.ZwaveplusInfo.html#t:node_type/0","title":"Grizzly.CommandClass.ZwaveplusInfo.node_type/0","type":"type","doc":""},{"ref":"Grizzly.CommandClass.ZwaveplusInfo.html#t:report/0","title":"Grizzly.CommandClass.ZwaveplusInfo.report/0","type":"type","doc":""},{"ref":"Grizzly.CommandClass.ZwaveplusInfo.html#t:role_type/0","title":"Grizzly.CommandClass.ZwaveplusInfo.role_type/0","type":"type","doc":""},{"ref":"Grizzly.Command.html","title":"Grizzly.Command","type":"behaviour","doc":"Command is a server managing the overall lifecycle of the execution of a command, from start to completion or timeout. When starting the execution of a command, the state of the network is checked to see if it is in one of the allowed states for executing this particular command. The allowed states are listed in the pre_states property of the command being started. If the property is absent, the default allowed states are [:idle]. If the network is not in an allowed state, {:error, :network_busy} is returned. If the started command has an exec_state property, the network state is set to its value for the duration of the execution of the command. If there is none, the network state is unchanged. If the started command has a post_state property, the network state is set to it after the command execution completes or times out. If there is none, the network state is set to :idle. If the started command has a timeout property, a timeout is set to its value. If the command does not complete before the timeout expires, the command&#39;s execution is stopped and a {:timeout, } message is sent to the process that started the execution of the command."},{"ref":"Grizzly.Command.html#child_spec/1","title":"Grizzly.Command.child_spec/1","type":"function","doc":"Returns a specification to start this module under a supervisor. See Supervisor."},{"ref":"Grizzly.Command.html#complete/1","title":"Grizzly.Command.complete/1","type":"function","doc":""},{"ref":"Grizzly.Command.html#encode/1","title":"Grizzly.Command.encode/1","type":"function","doc":""},{"ref":"Grizzly.Command.html#c:encode/1","title":"Grizzly.Command.encode/1","type":"callback","doc":""},{"ref":"Grizzly.Command.html#handle_response/2","title":"Grizzly.Command.handle_response/2","type":"function","doc":""},{"ref":"Grizzly.Command.html#c:handle_response/2","title":"Grizzly.Command.handle_response/2","type":"callback","doc":""},{"ref":"Grizzly.Command.html#c:init/1","title":"Grizzly.Command.init/1","type":"callback","doc":""},{"ref":"Grizzly.Command.html#start/2","title":"Grizzly.Command.start/2","type":"function","doc":""},{"ref":"Grizzly.Command.html#t:handle_instruction/0","title":"Grizzly.Command.handle_instruction/0","type":"type","doc":""},{"ref":"Grizzly.Command.html#t:t/0","title":"Grizzly.Command.t/0","type":"type","doc":""},{"ref":"Grizzly.CommandClass.Association.Get.html","title":"Grizzly.CommandClass.Association.Get","type":"module","doc":"Command module for working with ASSOCIATION GET command. command options: :group - the group number :seq_number - The sequence number for the Z/IP Packet :retries - The number of times to resend the command (default 2)"},{"ref":"Grizzly.CommandClass.Association.Get.html#t:opt/0","title":"Grizzly.CommandClass.Association.Get.opt/0","type":"type","doc":""},{"ref":"Grizzly.CommandClass.Association.Get.html#t:t/0","title":"Grizzly.CommandClass.Association.Get.t/0","type":"type","doc":""},{"ref":"Grizzly.CommandClass.Association.Remove.html","title":"Grizzly.CommandClass.Association.Remove","type":"module","doc":"Command for working with Association command class REMOVE command Command Options: :group - The association group :nodes - List of node ids to remove from the group :seq_number - The sequence number used in the Z/IP packet :retries - The number of attempts to send the command (default 2)"},{"ref":"Grizzly.CommandClass.Association.Remove.html#encode/1","title":"Grizzly.CommandClass.Association.Remove.encode/1","type":"function","doc":"Callback implementation for Grizzly.Command.encode/1."},{"ref":"Grizzly.CommandClass.Association.Remove.html#handle_response/2","title":"Grizzly.CommandClass.Association.Remove.handle_response/2","type":"function","doc":"Callback implementation for Grizzly.Command.handle_response/2."},{"ref":"Grizzly.CommandClass.Association.Remove.html#init/1","title":"Grizzly.CommandClass.Association.Remove.init/1","type":"function","doc":"Callback implementation for Grizzly.Command.init/1."},{"ref":"Grizzly.CommandClass.Association.Remove.html#t:associated_nodes/0","title":"Grizzly.CommandClass.Association.Remove.associated_nodes/0","type":"type","doc":""},{"ref":"Grizzly.CommandClass.Association.Remove.html#t:opts/0","title":"Grizzly.CommandClass.Association.Remove.opts/0","type":"type","doc":""},{"ref":"Grizzly.CommandClass.Association.Remove.html#t:t/0","title":"Grizzly.CommandClass.Association.Remove.t/0","type":"type","doc":""},{"ref":"Grizzly.CommandClass.Association.Set.html","title":"Grizzly.CommandClass.Association.Set","type":"module","doc":"Command for working with Association command class SET command Command Options: :group - The association group :nodes - List of node ids to receive messages about node events :seq_number - The sequence number used in the Z/IP packet :retries - The number of attempts to send the command (default 2)"},{"ref":"Grizzly.CommandClass.Association.Set.html#encode/1","title":"Grizzly.CommandClass.Association.Set.encode/1","type":"function","doc":"Callback implementation for Grizzly.Command.encode/1."},{"ref":"Grizzly.CommandClass.Association.Set.html#handle_response/2","title":"Grizzly.CommandClass.Association.Set.handle_response/2","type":"function","doc":"Callback implementation for Grizzly.Command.handle_response/2."},{"ref":"Grizzly.CommandClass.Association.Set.html#init/1","title":"Grizzly.CommandClass.Association.Set.init/1","type":"function","doc":"Callback implementation for Grizzly.Command.init/1."},{"ref":"Grizzly.CommandClass.Association.Set.html#t:associated_nodes/0","title":"Grizzly.CommandClass.Association.Set.associated_nodes/0","type":"type","doc":""},{"ref":"Grizzly.CommandClass.Association.Set.html#t:opts/0","title":"Grizzly.CommandClass.Association.Set.opts/0","type":"type","doc":""},{"ref":"Grizzly.CommandClass.Association.Set.html#t:t/0","title":"Grizzly.CommandClass.Association.Set.t/0","type":"type","doc":""},{"ref":"Grizzly.CommandClass.Association.SupportedGroupingsGet.html","title":"Grizzly.CommandClass.Association.SupportedGroupingsGet","type":"module","doc":"Command module for working with ASSOCIATION_GROUPINGS_GET command. command options: :seq_number - The sequence number for the Z/IP Packet :retries - The number of times to resend the command (default 2)"},{"ref":"Grizzly.CommandClass.Association.SupportedGroupingsGet.html#t:opt/0","title":"Grizzly.CommandClass.Association.SupportedGroupingsGet.opt/0","type":"type","doc":""},{"ref":"Grizzly.CommandClass.Association.SupportedGroupingsGet.html#t:t/0","title":"Grizzly.CommandClass.Association.SupportedGroupingsGet.t/0","type":"type","doc":""},{"ref":"Grizzly.CommandClass.Basic.Get.html","title":"Grizzly.CommandClass.Basic.Get","type":"module","doc":""},{"ref":"Grizzly.CommandClass.Basic.Get.html#encode/1","title":"Grizzly.CommandClass.Basic.Get.encode/1","type":"function","doc":"Callback implementation for Grizzly.Command.encode/1."},{"ref":"Grizzly.CommandClass.Basic.Get.html#handle_response/2","title":"Grizzly.CommandClass.Basic.Get.handle_response/2","type":"function","doc":"Callback implementation for Grizzly.Command.handle_response/2."},{"ref":"Grizzly.CommandClass.Basic.Get.html#init/1","title":"Grizzly.CommandClass.Basic.Get.init/1","type":"function","doc":"Callback implementation for Grizzly.Command.init/1."},{"ref":"Grizzly.CommandClass.Basic.Get.html#t:opt/0","title":"Grizzly.CommandClass.Basic.Get.opt/0","type":"type","doc":""},{"ref":"Grizzly.CommandClass.Basic.Get.html#t:t/0","title":"Grizzly.CommandClass.Basic.Get.t/0","type":"type","doc":""},{"ref":"Grizzly.CommandClass.Basic.Set.html","title":"Grizzly.CommandClass.Basic.Set","type":"module","doc":""},{"ref":"Grizzly.CommandClass.Basic.Set.html#encode/1","title":"Grizzly.CommandClass.Basic.Set.encode/1","type":"function","doc":"Callback implementation for Grizzly.Command.encode/1."},{"ref":"Grizzly.CommandClass.Basic.Set.html#handle_response/2","title":"Grizzly.CommandClass.Basic.Set.handle_response/2","type":"function","doc":"Callback implementation for Grizzly.Command.handle_response/2."},{"ref":"Grizzly.CommandClass.Basic.Set.html#init/1","title":"Grizzly.CommandClass.Basic.Set.init/1","type":"function","doc":"Callback implementation for Grizzly.Command.init/1."},{"ref":"Grizzly.CommandClass.Basic.Set.html#t:opt/0","title":"Grizzly.CommandClass.Basic.Set.opt/0","type":"type","doc":""},{"ref":"Grizzly.CommandClass.Basic.Set.html#t:t/0","title":"Grizzly.CommandClass.Basic.Set.t/0","type":"type","doc":""},{"ref":"Grizzly.CommandClass.Battery.Get.html","title":"Grizzly.CommandClass.Battery.Get","type":"module","doc":"Command module for working with Battery command class GET command Command Options: :seq_number - The sequence number in the Z/IP Packet :retries - The number to attempts to send the command (default 2)"},{"ref":"Grizzly.CommandClass.Battery.Get.html#encode/1","title":"Grizzly.CommandClass.Battery.Get.encode/1","type":"function","doc":"Callback implementation for Grizzly.Command.encode/1."},{"ref":"Grizzly.CommandClass.Battery.Get.html#handle_response/2","title":"Grizzly.CommandClass.Battery.Get.handle_response/2","type":"function","doc":"Callback implementation for Grizzly.Command.handle_response/2."},{"ref":"Grizzly.CommandClass.Battery.Get.html#init/1","title":"Grizzly.CommandClass.Battery.Get.init/1","type":"function","doc":"Callback implementation for Grizzly.Command.init/1."},{"ref":"Grizzly.CommandClass.Battery.Get.html#t:t/0","title":"Grizzly.CommandClass.Battery.Get.t/0","type":"type","doc":""},{"ref":"Grizzly.CommandClass.Configuration.BulkGet.html","title":"Grizzly.CommandClass.Configuration.BulkGet","type":"module","doc":"Command module for working with the Configuration command class BULK_GET command Command Options: :start - the starting number of the configuration params :number - the number of params to get :seq_number the sequence number used by Z/IP packet :parameter_values - a list of the parameter values that are returned from Z-Wave :acked - if there the command has successfully acked by Z-Wave :retries - the number of attempts to send the command (default 2)"},{"ref":"Grizzly.CommandClass.Configuration.BulkGet.html#encode/1","title":"Grizzly.CommandClass.Configuration.BulkGet.encode/1","type":"function","doc":"Callback implementation for Grizzly.Command.encode/1."},{"ref":"Grizzly.CommandClass.Configuration.BulkGet.html#handle_response/2","title":"Grizzly.CommandClass.Configuration.BulkGet.handle_response/2","type":"function","doc":"Callback implementation for Grizzly.Command.handle_response/2."},{"ref":"Grizzly.CommandClass.Configuration.BulkGet.html#init/1","title":"Grizzly.CommandClass.Configuration.BulkGet.init/1","type":"function","doc":"Callback implementation for Grizzly.Command.init/1."},{"ref":"Grizzly.CommandClass.Configuration.BulkGet.html#t:opt/0","title":"Grizzly.CommandClass.Configuration.BulkGet.opt/0","type":"type","doc":""},{"ref":"Grizzly.CommandClass.Configuration.BulkGet.html#t:t/0","title":"Grizzly.CommandClass.Configuration.BulkGet.t/0","type":"type","doc":""},{"ref":"Grizzly.CommandClass.Configuration.Get.html","title":"Grizzly.CommandClass.Configuration.Get","type":"module","doc":"Command module for working with Configuration command class GET command Command Option: :configuration_param - The configuration parameter outlined in the devices spec :seq_number - The sequence number used in the Z/IP packet :retries - The number of attempts to the send the command (default 2)"},{"ref":"Grizzly.CommandClass.Configuration.Get.html#encode/1","title":"Grizzly.CommandClass.Configuration.Get.encode/1","type":"function","doc":"Callback implementation for Grizzly.Command.encode/1."},{"ref":"Grizzly.CommandClass.Configuration.Get.html#handle_response/2","title":"Grizzly.CommandClass.Configuration.Get.handle_response/2","type":"function","doc":"Callback implementation for Grizzly.Command.handle_response/2."},{"ref":"Grizzly.CommandClass.Configuration.Get.html#init/1","title":"Grizzly.CommandClass.Configuration.Get.init/1","type":"function","doc":"Callback implementation for Grizzly.Command.init/1."},{"ref":"Grizzly.CommandClass.Configuration.Get.html#t:opt/0","title":"Grizzly.CommandClass.Configuration.Get.opt/0","type":"type","doc":""},{"ref":"Grizzly.CommandClass.Configuration.Get.html#t:t/0","title":"Grizzly.CommandClass.Configuration.Get.t/0","type":"type","doc":""},{"ref":"Grizzly.CommandClass.Configuration.Set.html","title":"Grizzly.CommandClass.Configuration.Set","type":"module","doc":"Command module for working with the Configuration command class SET command Command Options: :config_param - The parameter for the configuration item outlined in the device&#39;s Z-Wave spec :size - The amount of bytes in terms of bytes: 1 = 1 byte, 2 = 2 bytes, etc. :args - The arguments to the parameter as outlined in the device&#39;s Z-Wave spec :seq_number - The sequence number used for the Z/IP packet :retries - The number of attempts to send the command (default 2)"},{"ref":"Grizzly.CommandClass.Configuration.Set.html#encode/1","title":"Grizzly.CommandClass.Configuration.Set.encode/1","type":"function","doc":"Callback implementation for Grizzly.Command.encode/1."},{"ref":"Grizzly.CommandClass.Configuration.Set.html#handle_response/2","title":"Grizzly.CommandClass.Configuration.Set.handle_response/2","type":"function","doc":"Callback implementation for Grizzly.Command.handle_response/2."},{"ref":"Grizzly.CommandClass.Configuration.Set.html#init/1","title":"Grizzly.CommandClass.Configuration.Set.init/1","type":"function","doc":"Callback implementation for Grizzly.Command.init/1."},{"ref":"Grizzly.CommandClass.Configuration.Set.html#t:opt/0","title":"Grizzly.CommandClass.Configuration.Set.opt/0","type":"type","doc":""},{"ref":"Grizzly.CommandClass.Configuration.Set.html#t:t/0","title":"Grizzly.CommandClass.Configuration.Set.t/0","type":"type","doc":""},{"ref":"Grizzly.CommandClass.DoorLock.OperationGet.html","title":"Grizzly.CommandClass.DoorLock.OperationGet","type":"module","doc":"Command for working with DOOR_LOCK command class OPERATION_GET command Command Options: :seq_number - The sequence number used in the Z/IP packet :retries - The number of attempts to send the command (default 2)"},{"ref":"Grizzly.CommandClass.DoorLock.OperationGet.html#encode/1","title":"Grizzly.CommandClass.DoorLock.OperationGet.encode/1","type":"function","doc":"Callback implementation for Grizzly.Command.encode/1."},{"ref":"Grizzly.CommandClass.DoorLock.OperationGet.html#handle_response/2","title":"Grizzly.CommandClass.DoorLock.OperationGet.handle_response/2","type":"function","doc":"Callback implementation for Grizzly.Command.handle_response/2."},{"ref":"Grizzly.CommandClass.DoorLock.OperationGet.html#init/1","title":"Grizzly.CommandClass.DoorLock.OperationGet.init/1","type":"function","doc":"Callback implementation for Grizzly.Command.init/1."},{"ref":"Grizzly.CommandClass.DoorLock.OperationGet.html#t:opt/0","title":"Grizzly.CommandClass.DoorLock.OperationGet.opt/0","type":"type","doc":""},{"ref":"Grizzly.CommandClass.DoorLock.OperationGet.html#t:t/0","title":"Grizzly.CommandClass.DoorLock.OperationGet.t/0","type":"type","doc":""},{"ref":"Grizzly.CommandClass.DoorLock.OperationSet.html","title":"Grizzly.CommandClass.DoorLock.OperationSet","type":"module","doc":"Command for working with DOOR_LOCK command class OPERATION_GET command Command Options: :mode - :secured for locked, :unsecured for unlocked :seq_number - The sequence number used in the Z/IP packet :retries - The number of attempts to send the command (default 2)"},{"ref":"Grizzly.CommandClass.DoorLock.OperationSet.html#encode/1","title":"Grizzly.CommandClass.DoorLock.OperationSet.encode/1","type":"function","doc":"Callback implementation for Grizzly.Command.encode/1."},{"ref":"Grizzly.CommandClass.DoorLock.OperationSet.html#handle_response/2","title":"Grizzly.CommandClass.DoorLock.OperationSet.handle_response/2","type":"function","doc":"Callback implementation for Grizzly.Command.handle_response/2."},{"ref":"Grizzly.CommandClass.DoorLock.OperationSet.html#init/1","title":"Grizzly.CommandClass.DoorLock.OperationSet.init/1","type":"function","doc":"Callback implementation for Grizzly.Command.init/1."},{"ref":"Grizzly.CommandClass.DoorLock.OperationSet.html#t:opt/0","title":"Grizzly.CommandClass.DoorLock.OperationSet.opt/0","type":"type","doc":""},{"ref":"Grizzly.CommandClass.DoorLock.OperationSet.html#t:t/0","title":"Grizzly.CommandClass.DoorLock.OperationSet.t/0","type":"type","doc":""},{"ref":"Grizzly.CommandClass.FirmwareUpdateMD.Get.html","title":"Grizzly.CommandClass.FirmwareUpdateMD.Get","type":"module","doc":""},{"ref":"Grizzly.CommandClass.FirmwareUpdateMD.Get.html#encode/1","title":"Grizzly.CommandClass.FirmwareUpdateMD.Get.encode/1","type":"function","doc":"Callback implementation for Grizzly.Command.encode/1."},{"ref":"Grizzly.CommandClass.FirmwareUpdateMD.Get.html#handle_response/2","title":"Grizzly.CommandClass.FirmwareUpdateMD.Get.handle_response/2","type":"function","doc":"Callback implementation for Grizzly.Command.handle_response/2."},{"ref":"Grizzly.CommandClass.FirmwareUpdateMD.Get.html#init/1","title":"Grizzly.CommandClass.FirmwareUpdateMD.Get.init/1","type":"function","doc":"Callback implementation for Grizzly.Command.init/1."},{"ref":"Grizzly.CommandClass.FirmwareUpdateMD.Get.html#t:opt/0","title":"Grizzly.CommandClass.FirmwareUpdateMD.Get.opt/0","type":"type","doc":""},{"ref":"Grizzly.CommandClass.FirmwareUpdateMD.Get.html#t:t/0","title":"Grizzly.CommandClass.FirmwareUpdateMD.Get.t/0","type":"type","doc":""},{"ref":"Grizzly.CommandClass.Mailbox.ConfigurationGet.html","title":"Grizzly.CommandClass.Mailbox.ConfigurationGet","type":"module","doc":"Command for working with MAILBOX command class CONFIGURATION_GET command Command Options: :seq_number - The sequence number used in the Z/IP packet :retries - The number of attempts to send the command (default 2)"},{"ref":"Grizzly.CommandClass.Mailbox.ConfigurationGet.html#t:opt/0","title":"Grizzly.CommandClass.Mailbox.ConfigurationGet.opt/0","type":"type","doc":"An option to configure the command :seq_number - the sequence number used in the Z/IP packet :retries - the number of times to retry sending command (default 2)"},{"ref":"Grizzly.CommandClass.Mailbox.ConfigurationGet.html#t:t/0","title":"Grizzly.CommandClass.Mailbox.ConfigurationGet.t/0","type":"type","doc":""},{"ref":"Grizzly.CommandClass.ManufacturerSpecific.DeviceSpecificGet.html","title":"Grizzly.CommandClass.ManufacturerSpecific.DeviceSpecificGet","type":"module","doc":"Command module for working the ManufacturerSpecific command class DEVICE_SPECIFIC_GET command Command Options: :seq_number - the sequence number used by the Z/IP packet :retries - the number of attempts to send the command (default 2) :info - the type of device id"},{"ref":"Grizzly.CommandClass.ManufacturerSpecific.DeviceSpecificGet.html#encode/1","title":"Grizzly.CommandClass.ManufacturerSpecific.DeviceSpecificGet.encode/1","type":"function","doc":"Callback implementation for Grizzly.Command.encode/1."},{"ref":"Grizzly.CommandClass.ManufacturerSpecific.DeviceSpecificGet.html#handle_response/2","title":"Grizzly.CommandClass.ManufacturerSpecific.DeviceSpecificGet.handle_response/2","type":"function","doc":"Callback implementation for Grizzly.Command.handle_response/2."},{"ref":"Grizzly.CommandClass.ManufacturerSpecific.DeviceSpecificGet.html#init/1","title":"Grizzly.CommandClass.ManufacturerSpecific.DeviceSpecificGet.init/1","type":"function","doc":"Callback implementation for Grizzly.Command.init/1."},{"ref":"Grizzly.CommandClass.ManufacturerSpecific.DeviceSpecificGet.html#t:opt/0","title":"Grizzly.CommandClass.ManufacturerSpecific.DeviceSpecificGet.opt/0","type":"type","doc":""},{"ref":"Grizzly.CommandClass.ManufacturerSpecific.DeviceSpecificGet.html#t:t/0","title":"Grizzly.CommandClass.ManufacturerSpecific.DeviceSpecificGet.t/0","type":"type","doc":""},{"ref":"Grizzly.CommandClass.ManufacturerSpecific.Get.html","title":"Grizzly.CommandClass.ManufacturerSpecific.Get","type":"module","doc":"Command module for working the ManufacturerSpecific command class GET command Command Options: :seq_number - the sequence number used by the Z/IP packet :retries - the number of attempts to send the command (default 2)"},{"ref":"Grizzly.CommandClass.ManufacturerSpecific.Get.html#encode/1","title":"Grizzly.CommandClass.ManufacturerSpecific.Get.encode/1","type":"function","doc":"Callback implementation for Grizzly.Command.encode/1."},{"ref":"Grizzly.CommandClass.ManufacturerSpecific.Get.html#handle_response/2","title":"Grizzly.CommandClass.ManufacturerSpecific.Get.handle_response/2","type":"function","doc":"Callback implementation for Grizzly.Command.handle_response/2."},{"ref":"Grizzly.CommandClass.ManufacturerSpecific.Get.html#init/1","title":"Grizzly.CommandClass.ManufacturerSpecific.Get.init/1","type":"function","doc":"Callback implementation for Grizzly.Command.init/1."},{"ref":"Grizzly.CommandClass.ManufacturerSpecific.Get.html#t:opt/0","title":"Grizzly.CommandClass.ManufacturerSpecific.Get.opt/0","type":"type","doc":""},{"ref":"Grizzly.CommandClass.ManufacturerSpecific.Get.html#t:t/0","title":"Grizzly.CommandClass.ManufacturerSpecific.Get.t/0","type":"type","doc":""},{"ref":"Grizzly.CommandClass.Meter.Get.html","title":"Grizzly.CommandClass.Meter.Get","type":"module","doc":"Command module for working with METER GET command. command options: :seq_number - The sequence number for the Z/IP Packet :retries - The number of times to resend the command (default 2)"},{"ref":"Grizzly.CommandClass.Meter.Get.html#encode/1","title":"Grizzly.CommandClass.Meter.Get.encode/1","type":"function","doc":"Callback implementation for Grizzly.Command.encode/1."},{"ref":"Grizzly.CommandClass.Meter.Get.html#handle_response/2","title":"Grizzly.CommandClass.Meter.Get.handle_response/2","type":"function","doc":"Callback implementation for Grizzly.Command.handle_response/2."},{"ref":"Grizzly.CommandClass.Meter.Get.html#init/1","title":"Grizzly.CommandClass.Meter.Get.init/1","type":"function","doc":"Callback implementation for Grizzly.Command.init/1."},{"ref":"Grizzly.CommandClass.Meter.Get.html#t:opt/0","title":"Grizzly.CommandClass.Meter.Get.opt/0","type":"type","doc":""},{"ref":"Grizzly.CommandClass.Meter.Get.html#t:t/0","title":"Grizzly.CommandClass.Meter.Get.t/0","type":"type","doc":""},{"ref":"Grizzly.CommandClass.MultiChannelAssociation.Get.html","title":"Grizzly.CommandClass.MultiChannelAssociation.Get","type":"module","doc":"Command module for working with MULTI_CHANNEL_ASSOCIATION_GET command. command options: :group - the group number :seq_number - The sequence number for the Z/IP Packet :retries - The number of times to resend the command (default 2)"},{"ref":"Grizzly.CommandClass.MultiChannelAssociation.Get.html#t:opt/0","title":"Grizzly.CommandClass.MultiChannelAssociation.Get.opt/0","type":"type","doc":""},{"ref":"Grizzly.CommandClass.MultiChannelAssociation.Get.html#t:t/0","title":"Grizzly.CommandClass.MultiChannelAssociation.Get.t/0","type":"type","doc":""},{"ref":"Grizzly.CommandClass.MultiChannelAssociation.Remove.html","title":"Grizzly.CommandClass.MultiChannelAssociation.Remove","type":"module","doc":"Command module for working with MULTI_CHANNEL_ASSOCIATION_SET command. Command Options: :group - The association group :nodes - List of node ids to receive messages about node events :endpoints - List of endpoints corresponding one-to-one to the nodes :seq_number - The sequence number used in the Z/IP packet :retries - The number of attempts to send the command (default 2)"},{"ref":"Grizzly.CommandClass.MultiChannelAssociation.Remove.html#encode/1","title":"Grizzly.CommandClass.MultiChannelAssociation.Remove.encode/1","type":"function","doc":"Callback implementation for Grizzly.Command.encode/1."},{"ref":"Grizzly.CommandClass.MultiChannelAssociation.Remove.html#handle_response/2","title":"Grizzly.CommandClass.MultiChannelAssociation.Remove.handle_response/2","type":"function","doc":"Callback implementation for Grizzly.Command.handle_response/2."},{"ref":"Grizzly.CommandClass.MultiChannelAssociation.Remove.html#init/1","title":"Grizzly.CommandClass.MultiChannelAssociation.Remove.init/1","type":"function","doc":"Callback implementation for Grizzly.Command.init/1."},{"ref":"Grizzly.CommandClass.MultiChannelAssociation.Remove.html#t:opts/0","title":"Grizzly.CommandClass.MultiChannelAssociation.Remove.opts/0","type":"type","doc":""},{"ref":"Grizzly.CommandClass.MultiChannelAssociation.Remove.html#t:t/0","title":"Grizzly.CommandClass.MultiChannelAssociation.Remove.t/0","type":"type","doc":""},{"ref":"Grizzly.CommandClass.MultiChannelAssociation.Set.html","title":"Grizzly.CommandClass.MultiChannelAssociation.Set","type":"module","doc":"Command module for working with MULTI_CHANNEL_ASSOCIATION_SET command. Command Options: :group - The association group :nodes - List of node ids to receive messages about node events :endpoints - List of endpoints corresponding one-to-one to the nodes :seq_number - The sequence number used in the Z/IP packet :retries - The number of attempts to send the command (default 2)"},{"ref":"Grizzly.CommandClass.MultiChannelAssociation.Set.html#encode/1","title":"Grizzly.CommandClass.MultiChannelAssociation.Set.encode/1","type":"function","doc":"Callback implementation for Grizzly.Command.encode/1."},{"ref":"Grizzly.CommandClass.MultiChannelAssociation.Set.html#handle_response/2","title":"Grizzly.CommandClass.MultiChannelAssociation.Set.handle_response/2","type":"function","doc":"Callback implementation for Grizzly.Command.handle_response/2."},{"ref":"Grizzly.CommandClass.MultiChannelAssociation.Set.html#init/1","title":"Grizzly.CommandClass.MultiChannelAssociation.Set.init/1","type":"function","doc":"Callback implementation for Grizzly.Command.init/1."},{"ref":"Grizzly.CommandClass.MultiChannelAssociation.Set.html#t:opts/0","title":"Grizzly.CommandClass.MultiChannelAssociation.Set.opts/0","type":"type","doc":""},{"ref":"Grizzly.CommandClass.MultiChannelAssociation.Set.html#t:t/0","title":"Grizzly.CommandClass.MultiChannelAssociation.Set.t/0","type":"type","doc":""},{"ref":"Grizzly.CommandClass.MultiChannelAssociation.SupportedGroupingsGet.html","title":"Grizzly.CommandClass.MultiChannelAssociation.SupportedGroupingsGet","type":"module","doc":"Command module for working with MULTI_CHANNEL_ASSOCIATION_GROUPINGS_GET command. command options: :seq_number - The sequence number for the Z/IP Packet :retries - The number of times to resend the command (default 2)"},{"ref":"Grizzly.CommandClass.MultiChannelAssociation.SupportedGroupingsGet.html#t:opt/0","title":"Grizzly.CommandClass.MultiChannelAssociation.SupportedGroupingsGet.opt/0","type":"type","doc":""},{"ref":"Grizzly.CommandClass.MultiChannelAssociation.SupportedGroupingsGet.html#t:t/0","title":"Grizzly.CommandClass.MultiChannelAssociation.SupportedGroupingsGet.t/0","type":"type","doc":""},{"ref":"Grizzly.CommandClass.NetworkManagementBasic.DefaultSet.html","title":"Grizzly.CommandClass.NetworkManagementBasic.DefaultSet","type":"module","doc":"Command module for working with the NetworkManagementBasic command class DEFAULT_SET command Command Options: :seq_number - the sequence number used for the Z/IP packet :retries - the number of attempts to send the command (default 2)"},{"ref":"Grizzly.CommandClass.NetworkManagementBasic.DefaultSet.html#encode/1","title":"Grizzly.CommandClass.NetworkManagementBasic.DefaultSet.encode/1","type":"function","doc":"Callback implementation for Grizzly.Command.encode/1."},{"ref":"Grizzly.CommandClass.NetworkManagementBasic.DefaultSet.html#handle_response/2","title":"Grizzly.CommandClass.NetworkManagementBasic.DefaultSet.handle_response/2","type":"function","doc":"Callback implementation for Grizzly.Command.handle_response/2."},{"ref":"Grizzly.CommandClass.NetworkManagementBasic.DefaultSet.html#init/1","title":"Grizzly.CommandClass.NetworkManagementBasic.DefaultSet.init/1","type":"function","doc":"Callback implementation for Grizzly.Command.init/1."},{"ref":"Grizzly.CommandClass.NetworkManagementBasic.DefaultSet.html#t:opt/0","title":"Grizzly.CommandClass.NetworkManagementBasic.DefaultSet.opt/0","type":"type","doc":""},{"ref":"Grizzly.CommandClass.NetworkManagementBasic.DefaultSet.html#t:t/0","title":"Grizzly.CommandClass.NetworkManagementBasic.DefaultSet.t/0","type":"type","doc":""},{"ref":"Grizzly.CommandClass.NetworkManagementBasic.LearnModeSet.html","title":"Grizzly.CommandClass.NetworkManagementBasic.LearnModeSet","type":"module","doc":"Command module for working with the NetworkManagementBasic command class LEARN_MODE_SET command Command Options: :seq_number - the sequence number used for the Z/IP packet :retries - the number of attempts to send the command (default 2) :mode - either :enable, :enable_routed, :disable (:enable = accept only being included in direct range - default mode)"},{"ref":"Grizzly.CommandClass.NetworkManagementBasic.LearnModeSet.html#encode/1","title":"Grizzly.CommandClass.NetworkManagementBasic.LearnModeSet.encode/1","type":"function","doc":"Callback implementation for Grizzly.Command.encode/1."},{"ref":"Grizzly.CommandClass.NetworkManagementBasic.LearnModeSet.html#handle_response/2","title":"Grizzly.CommandClass.NetworkManagementBasic.LearnModeSet.handle_response/2","type":"function","doc":"Callback implementation for Grizzly.Command.handle_response/2."},{"ref":"Grizzly.CommandClass.NetworkManagementBasic.LearnModeSet.html#init/1","title":"Grizzly.CommandClass.NetworkManagementBasic.LearnModeSet.init/1","type":"function","doc":"Callback implementation for Grizzly.Command.init/1."},{"ref":"Grizzly.CommandClass.NetworkManagementBasic.LearnModeSet.html#t:mode/0","title":"Grizzly.CommandClass.NetworkManagementBasic.LearnModeSet.mode/0","type":"type","doc":""},{"ref":"Grizzly.CommandClass.NetworkManagementBasic.LearnModeSet.html#t:opt/0","title":"Grizzly.CommandClass.NetworkManagementBasic.LearnModeSet.opt/0","type":"type","doc":""},{"ref":"Grizzly.CommandClass.NetworkManagementBasic.LearnModeSet.html#t:t/0","title":"Grizzly.CommandClass.NetworkManagementBasic.LearnModeSet.t/0","type":"type","doc":""},{"ref":"Grizzly.CommandClass.NetworkManagementInclusion.NodeAdd.html","title":"Grizzly.CommandClass.NetworkManagementInclusion.NodeAdd","type":"module","doc":"Module for using the NODE_ADD command. If the inclusion process is for S0 or no security the process will add the node and do the security (if S0) exchange at the zipgateway level. If the inclusin process is for S2 security, there will be a node add keys report, which is to request granting what level of S2 security the user ought to grant. This request will let the caller know if Client Side Authentication is request and what S2 keys to grant to the joining node."},{"ref":"Grizzly.CommandClass.NetworkManagementInclusion.NodeAdd.html#encode/1","title":"Grizzly.CommandClass.NetworkManagementInclusion.NodeAdd.encode/1","type":"function","doc":"Callback implementation for Grizzly.Command.encode/1."},{"ref":"Grizzly.CommandClass.NetworkManagementInclusion.NodeAdd.html#handle_response/2","title":"Grizzly.CommandClass.NetworkManagementInclusion.NodeAdd.handle_response/2","type":"function","doc":"Callback implementation for Grizzly.Command.handle_response/2."},{"ref":"Grizzly.CommandClass.NetworkManagementInclusion.NodeAdd.html#init/1","title":"Grizzly.CommandClass.NetworkManagementInclusion.NodeAdd.init/1","type":"function","doc":"Callback implementation for Grizzly.Command.init/1."},{"ref":"Grizzly.CommandClass.NetworkManagementInclusion.NodeAdd.html#t:t/0","title":"Grizzly.CommandClass.NetworkManagementInclusion.NodeAdd.t/0","type":"type","doc":"Mode for the controller to use during inclsion :any - add any type of node to the network and allow for S0 bootstrapping :stop - stop add mode :any_s2 - same as :any, but allow for S2 bootstrapping as well (v2)"},{"ref":"Grizzly.CommandClass.NetworkManagementInclusion.NodeAddDSKSet.html","title":"Grizzly.CommandClass.NetworkManagementInclusion.NodeAddDSKSet","type":"module","doc":"Command module for working with NETWORK_MANAGEMENT_INCLUSION NODE_ADD_DSK_SET command. command options: :accept: - Boolean that indicates if S2 requested keys should be granted :input_dsk - The 5 digit pin code found on the device :input_dsk_length - the lengh of the DSK :seq_number - The sequence number for the Z/IP Packet :retries - The number of times to resend the command (default 2)"},{"ref":"Grizzly.CommandClass.NetworkManagementInclusion.NodeAddDSKSet.html#encode/1","title":"Grizzly.CommandClass.NetworkManagementInclusion.NodeAddDSKSet.encode/1","type":"function","doc":"Callback implementation for Grizzly.Command.encode/1."},{"ref":"Grizzly.CommandClass.NetworkManagementInclusion.NodeAddDSKSet.html#handle_response/2","title":"Grizzly.CommandClass.NetworkManagementInclusion.NodeAddDSKSet.handle_response/2","type":"function","doc":"Callback implementation for Grizzly.Command.handle_response/2."},{"ref":"Grizzly.CommandClass.NetworkManagementInclusion.NodeAddDSKSet.html#init/1","title":"Grizzly.CommandClass.NetworkManagementInclusion.NodeAddDSKSet.init/1","type":"function","doc":"Callback implementation for Grizzly.Command.init/1."},{"ref":"Grizzly.CommandClass.NetworkManagementInclusion.NodeAddDSKSet.html#t:t/0","title":"Grizzly.CommandClass.NetworkManagementInclusion.NodeAddDSKSet.t/0","type":"type","doc":"The input_dsk field is the 5 digit pin found on the joining node, normally near the QR code."},{"ref":"Grizzly.CommandClass.NetworkManagementInclusion.NodeAddKeysSet.html","title":"Grizzly.CommandClass.NetworkManagementInclusion.NodeAddKeysSet","type":"module","doc":"Module for working with the command NODE_ADD_KEYS_SET opts: seq_number - the sequence number for this command grant_csa? - boolean to grant client side auth accept_s2? - boolean to tell device if the controll accepts s2 bootstrapping granted_keys - list of allowed levels for S2 security retries - the number of times to retry sending command"},{"ref":"Grizzly.CommandClass.NetworkManagementInclusion.NodeAddKeysSet.html#encode/1","title":"Grizzly.CommandClass.NetworkManagementInclusion.NodeAddKeysSet.encode/1","type":"function","doc":"Callback implementation for Grizzly.Command.encode/1."},{"ref":"Grizzly.CommandClass.NetworkManagementInclusion.NodeAddKeysSet.html#handle_response/2","title":"Grizzly.CommandClass.NetworkManagementInclusion.NodeAddKeysSet.handle_response/2","type":"function","doc":"Callback implementation for Grizzly.Command.handle_response/2."},{"ref":"Grizzly.CommandClass.NetworkManagementInclusion.NodeAddKeysSet.html#init/1","title":"Grizzly.CommandClass.NetworkManagementInclusion.NodeAddKeysSet.init/1","type":"function","doc":"Callback implementation for Grizzly.Command.init/1."},{"ref":"Grizzly.CommandClass.NetworkManagementInclusion.NodeAddKeysSet.html#t:opt/0","title":"Grizzly.CommandClass.NetworkManagementInclusion.NodeAddKeysSet.opt/0","type":"type","doc":""},{"ref":"Grizzly.CommandClass.NetworkManagementInclusion.NodeAddKeysSet.html#t:t/0","title":"Grizzly.CommandClass.NetworkManagementInclusion.NodeAddKeysSet.t/0","type":"type","doc":""},{"ref":"Grizzly.CommandClass.NetworkManagementInclusion.NodeNeighborUpdateRequest.html","title":"Grizzly.CommandClass.NetworkManagementInclusion.NodeNeighborUpdateRequest","type":"module","doc":"Module for using the NODE_NEIGHBOR_UPDATE_REQUEST command. This command is used to instruct a node with NodeID to perform a Node Neighbor Update operation in order to update the topology on the controller."},{"ref":"Grizzly.CommandClass.NetworkManagementInclusion.NodeNeighborUpdateRequest.html#encode/1","title":"Grizzly.CommandClass.NetworkManagementInclusion.NodeNeighborUpdateRequest.encode/1","type":"function","doc":"Callback implementation for Grizzly.Command.encode/1."},{"ref":"Grizzly.CommandClass.NetworkManagementInclusion.NodeNeighborUpdateRequest.html#handle_response/2","title":"Grizzly.CommandClass.NetworkManagementInclusion.NodeNeighborUpdateRequest.handle_response/2","type":"function","doc":"Callback implementation for Grizzly.Command.handle_response/2."},{"ref":"Grizzly.CommandClass.NetworkManagementInclusion.NodeNeighborUpdateRequest.html#init/1","title":"Grizzly.CommandClass.NetworkManagementInclusion.NodeNeighborUpdateRequest.init/1","type":"function","doc":"Callback implementation for Grizzly.Command.init/1."},{"ref":"Grizzly.CommandClass.NetworkManagementInclusion.NodeNeighborUpdateRequest.html#t:opt/0","title":"Grizzly.CommandClass.NetworkManagementInclusion.NodeNeighborUpdateRequest.opt/0","type":"type","doc":""},{"ref":"Grizzly.CommandClass.NetworkManagementInclusion.NodeNeighborUpdateRequest.html#t:status/0","title":"Grizzly.CommandClass.NetworkManagementInclusion.NodeNeighborUpdateRequest.status/0","type":"type","doc":""},{"ref":"Grizzly.CommandClass.NetworkManagementInclusion.NodeNeighborUpdateRequest.html#t:t/0","title":"Grizzly.CommandClass.NetworkManagementInclusion.NodeNeighborUpdateRequest.t/0","type":"type","doc":""},{"ref":"Grizzly.CommandClass.NetworkManagementInclusion.NodeRemove.html","title":"Grizzly.CommandClass.NetworkManagementInclusion.NodeRemove","type":"module","doc":"A module for working with the NODE_REMOVE command This command is used for activing or de-activing the node remove mode."},{"ref":"Grizzly.CommandClass.NetworkManagementInclusion.NodeRemove.html#encode/1","title":"Grizzly.CommandClass.NetworkManagementInclusion.NodeRemove.encode/1","type":"function","doc":"Callback implementation for Grizzly.Command.encode/1."},{"ref":"Grizzly.CommandClass.NetworkManagementInclusion.NodeRemove.html#handle_response/2","title":"Grizzly.CommandClass.NetworkManagementInclusion.NodeRemove.handle_response/2","type":"function","doc":"Callback implementation for Grizzly.Command.handle_response/2."},{"ref":"Grizzly.CommandClass.NetworkManagementInclusion.NodeRemove.html#init/1","title":"Grizzly.CommandClass.NetworkManagementInclusion.NodeRemove.init/1","type":"function","doc":"Callback implementation for Grizzly.Command.init/1."},{"ref":"Grizzly.CommandClass.NetworkManagementInclusion.NodeRemove.html#t:mode/0","title":"Grizzly.CommandClass.NetworkManagementInclusion.NodeRemove.mode/0","type":"type","doc":"Mode for the controller to use during exclusion :any - remove any type of node from the network (default) :stop - stop the node removal process"},{"ref":"Grizzly.CommandClass.NetworkManagementInclusion.NodeRemove.html#t:t/0","title":"Grizzly.CommandClass.NetworkManagementInclusion.NodeRemove.t/0","type":"type","doc":""},{"ref":"Grizzly.CommandClass.NetworkManagementInstallationMaintenance.PriorityRouteGet.html","title":"Grizzly.CommandClass.NetworkManagementInstallationMaintenance.PriorityRouteGet","type":"module","doc":""},{"ref":"Grizzly.CommandClass.NetworkManagementInstallationMaintenance.PriorityRouteGet.html#encode/1","title":"Grizzly.CommandClass.NetworkManagementInstallationMaintenance.PriorityRouteGet.encode/1","type":"function","doc":"Callback implementation for Grizzly.Command.encode/1."},{"ref":"Grizzly.CommandClass.NetworkManagementInstallationMaintenance.PriorityRouteGet.html#handle_response/2","title":"Grizzly.CommandClass.NetworkManagementInstallationMaintenance.PriorityRouteGet.handle_response/2","type":"function","doc":"Callback implementation for Grizzly.Command.handle_response/2."},{"ref":"Grizzly.CommandClass.NetworkManagementInstallationMaintenance.PriorityRouteGet.html#init/1","title":"Grizzly.CommandClass.NetworkManagementInstallationMaintenance.PriorityRouteGet.init/1","type":"function","doc":"Callback implementation for Grizzly.Command.init/1."},{"ref":"Grizzly.CommandClass.NetworkManagementInstallationMaintenance.PriorityRouteGet.html#t:opt/0","title":"Grizzly.CommandClass.NetworkManagementInstallationMaintenance.PriorityRouteGet.opt/0","type":"type","doc":""},{"ref":"Grizzly.CommandClass.NetworkManagementInstallationMaintenance.PriorityRouteGet.html#t:t/0","title":"Grizzly.CommandClass.NetworkManagementInstallationMaintenance.PriorityRouteGet.t/0","type":"type","doc":""},{"ref":"Grizzly.CommandClass.NetworkManagementInstallationMaintenance.RSSIGet.html","title":"Grizzly.CommandClass.NetworkManagementInstallationMaintenance.RSSIGet","type":"module","doc":""},{"ref":"Grizzly.CommandClass.NetworkManagementInstallationMaintenance.RSSIGet.html#encode/1","title":"Grizzly.CommandClass.NetworkManagementInstallationMaintenance.RSSIGet.encode/1","type":"function","doc":"Callback implementation for Grizzly.Command.encode/1."},{"ref":"Grizzly.CommandClass.NetworkManagementInstallationMaintenance.RSSIGet.html#handle_response/2","title":"Grizzly.CommandClass.NetworkManagementInstallationMaintenance.RSSIGet.handle_response/2","type":"function","doc":"Callback implementation for Grizzly.Command.handle_response/2."},{"ref":"Grizzly.CommandClass.NetworkManagementInstallationMaintenance.RSSIGet.html#init/1","title":"Grizzly.CommandClass.NetworkManagementInstallationMaintenance.RSSIGet.init/1","type":"function","doc":"Callback implementation for Grizzly.Command.init/1."},{"ref":"Grizzly.CommandClass.NetworkManagementInstallationMaintenance.RSSIGet.html#t:opt/0","title":"Grizzly.CommandClass.NetworkManagementInstallationMaintenance.RSSIGet.opt/0","type":"type","doc":""},{"ref":"Grizzly.CommandClass.NetworkManagementInstallationMaintenance.RSSIGet.html#t:t/0","title":"Grizzly.CommandClass.NetworkManagementInstallationMaintenance.RSSIGet.t/0","type":"type","doc":""},{"ref":"Grizzly.CommandClass.NetworkManagementInstallationMaintenance.StatisticsClear.html","title":"Grizzly.CommandClass.NetworkManagementInstallationMaintenance.StatisticsClear","type":"module","doc":"Command module to work with the NetworkManagementInstallationMaintenance command class STATISTICS_CLEAR command Command Options: :node_id - The id of the node on which to reset stored statistics :seq_number - The sequence number of the Z/IP Packet :retries - The number of times to try to send the command (default 2)"},{"ref":"Grizzly.CommandClass.NetworkManagementInstallationMaintenance.StatisticsClear.html#encode/1","title":"Grizzly.CommandClass.NetworkManagementInstallationMaintenance.StatisticsClear.encode/1","type":"function","doc":"Callback implementation for Grizzly.Command.encode/1."},{"ref":"Grizzly.CommandClass.NetworkManagementInstallationMaintenance.StatisticsClear.html#handle_response/2","title":"Grizzly.CommandClass.NetworkManagementInstallationMaintenance.StatisticsClear.handle_response/2","type":"function","doc":"Callback implementation for Grizzly.Command.handle_response/2."},{"ref":"Grizzly.CommandClass.NetworkManagementInstallationMaintenance.StatisticsClear.html#init/1","title":"Grizzly.CommandClass.NetworkManagementInstallationMaintenance.StatisticsClear.init/1","type":"function","doc":"Callback implementation for Grizzly.Command.init/1."},{"ref":"Grizzly.CommandClass.NetworkManagementInstallationMaintenance.StatisticsClear.html#t:opt/0","title":"Grizzly.CommandClass.NetworkManagementInstallationMaintenance.StatisticsClear.opt/0","type":"type","doc":""},{"ref":"Grizzly.CommandClass.NetworkManagementInstallationMaintenance.StatisticsClear.html#t:t/0","title":"Grizzly.CommandClass.NetworkManagementInstallationMaintenance.StatisticsClear.t/0","type":"type","doc":""},{"ref":"Grizzly.CommandClass.NetworkManagementInstallationMaintenance.StatisticsGet.html","title":"Grizzly.CommandClass.NetworkManagementInstallationMaintenance.StatisticsGet","type":"module","doc":""},{"ref":"Grizzly.CommandClass.NetworkManagementInstallationMaintenance.StatisticsGet.html#encode/1","title":"Grizzly.CommandClass.NetworkManagementInstallationMaintenance.StatisticsGet.encode/1","type":"function","doc":"Callback implementation for Grizzly.Command.encode/1."},{"ref":"Grizzly.CommandClass.NetworkManagementInstallationMaintenance.StatisticsGet.html#handle_response/2","title":"Grizzly.CommandClass.NetworkManagementInstallationMaintenance.StatisticsGet.handle_response/2","type":"function","doc":"Callback implementation for Grizzly.Command.handle_response/2."},{"ref":"Grizzly.CommandClass.NetworkManagementInstallationMaintenance.StatisticsGet.html#init/1","title":"Grizzly.CommandClass.NetworkManagementInstallationMaintenance.StatisticsGet.init/1","type":"function","doc":"Callback implementation for Grizzly.Command.init/1."},{"ref":"Grizzly.CommandClass.NetworkManagementInstallationMaintenance.StatisticsGet.html#t:opt/0","title":"Grizzly.CommandClass.NetworkManagementInstallationMaintenance.StatisticsGet.opt/0","type":"type","doc":""},{"ref":"Grizzly.CommandClass.NetworkManagementInstallationMaintenance.StatisticsGet.html#t:t/0","title":"Grizzly.CommandClass.NetworkManagementInstallationMaintenance.StatisticsGet.t/0","type":"type","doc":""},{"ref":"Grizzly.CommandClass.NetworkManagementProxy.NodeInfoCache.html","title":"Grizzly.CommandClass.NetworkManagementProxy.NodeInfoCache","type":"module","doc":"Command module for working with the NetworkManagementProxy command class NODE_INFO_CACHE command Command Options: :cached_minutes_passed - the minutes passed since the information was cached, if the cache has been longer than requested it will get the information :node_id - the id of the node that the information is requested about :seq_number - the sequence number used by the Z/IP packet :retries - the number of attempts to send the command (default 2)"},{"ref":"Grizzly.CommandClass.NetworkManagementProxy.NodeInfoCache.html#encode/1","title":"Grizzly.CommandClass.NetworkManagementProxy.NodeInfoCache.encode/1","type":"function","doc":"Callback implementation for Grizzly.Command.encode/1."},{"ref":"Grizzly.CommandClass.NetworkManagementProxy.NodeInfoCache.html#handle_response/2","title":"Grizzly.CommandClass.NetworkManagementProxy.NodeInfoCache.handle_response/2","type":"function","doc":"Callback implementation for Grizzly.Command.handle_response/2."},{"ref":"Grizzly.CommandClass.NetworkManagementProxy.NodeInfoCache.html#init/1","title":"Grizzly.CommandClass.NetworkManagementProxy.NodeInfoCache.init/1","type":"function","doc":"Callback implementation for Grizzly.Command.init/1."},{"ref":"Grizzly.CommandClass.NetworkManagementProxy.NodeInfoCache.html#t:opt/0","title":"Grizzly.CommandClass.NetworkManagementProxy.NodeInfoCache.opt/0","type":"type","doc":""},{"ref":"Grizzly.CommandClass.NetworkManagementProxy.NodeInfoCache.html#t:t/0","title":"Grizzly.CommandClass.NetworkManagementProxy.NodeInfoCache.t/0","type":"type","doc":""},{"ref":"Grizzly.CommandClass.NetworkManagementProxy.NodeListGet.html","title":"Grizzly.CommandClass.NetworkManagementProxy.NodeListGet","type":"module","doc":"Command module for working with the NetworkManagementProxy command class NODE_LIST_GET command Command Options: :seq_number - the sequence number used for the Z/IP packet :retries - the number of attempts to send the command (default 2)"},{"ref":"Grizzly.CommandClass.NetworkManagementProxy.NodeListGet.html#encode/1","title":"Grizzly.CommandClass.NetworkManagementProxy.NodeListGet.encode/1","type":"function","doc":"Callback implementation for Grizzly.Command.encode/1."},{"ref":"Grizzly.CommandClass.NetworkManagementProxy.NodeListGet.html#handle_response/2","title":"Grizzly.CommandClass.NetworkManagementProxy.NodeListGet.handle_response/2","type":"function","doc":"Callback implementation for Grizzly.Command.handle_response/2."},{"ref":"Grizzly.CommandClass.NetworkManagementProxy.NodeListGet.html#init/1","title":"Grizzly.CommandClass.NetworkManagementProxy.NodeListGet.init/1","type":"function","doc":"Callback implementation for Grizzly.Command.init/1."},{"ref":"Grizzly.CommandClass.NetworkManagementProxy.NodeListGet.html#t:t/0","title":"Grizzly.CommandClass.NetworkManagementProxy.NodeListGet.t/0","type":"type","doc":""},{"ref":"Grizzly.CommandClass.Powerlevel.Get.html","title":"Grizzly.CommandClass.Powerlevel.Get","type":"module","doc":"Command module for working with the Powerlevel command class GET command. It is used to get the current power level of a device. Command Options: :seq_number - The sequence number of the Z/IP Packet :retries - The number of times to try to send the command (default 2)"},{"ref":"Grizzly.CommandClass.Powerlevel.Get.html#encode/1","title":"Grizzly.CommandClass.Powerlevel.Get.encode/1","type":"function","doc":"Callback implementation for Grizzly.Command.encode/1."},{"ref":"Grizzly.CommandClass.Powerlevel.Get.html#handle_response/2","title":"Grizzly.CommandClass.Powerlevel.Get.handle_response/2","type":"function","doc":"Callback implementation for Grizzly.Command.handle_response/2."},{"ref":"Grizzly.CommandClass.Powerlevel.Get.html#init/1","title":"Grizzly.CommandClass.Powerlevel.Get.init/1","type":"function","doc":"Callback implementation for Grizzly.Command.init/1."},{"ref":"Grizzly.CommandClass.Powerlevel.Get.html#t:opt/0","title":"Grizzly.CommandClass.Powerlevel.Get.opt/0","type":"type","doc":""},{"ref":"Grizzly.CommandClass.Powerlevel.Get.html#t:t/0","title":"Grizzly.CommandClass.Powerlevel.Get.t/0","type":"type","doc":""},{"ref":"Grizzly.CommandClass.Powerlevel.Set.html","title":"Grizzly.CommandClass.Powerlevel.Set","type":"module","doc":"Command module for working with the Powerlevel command class SET command. It is used to temporarily decrease the RF transmit power level of a device. Command Options: :power_level - By how much to decrease the RF transmit power level (:normal_power is no decrease): :normal_power | :minus1dBm | :minus2dBm | :minus3dBm | :minus4dBm | :minus5dBm | :minus6dBm | :minus7dBm | :minus8dBm | :minus9dBm :timeout - The number of seconds during which RF transmit power level is decreased (it is then returned to normal power automatically). :seq_number - The sequence number of the Z/IP Packet :retries - The number of times to try to send the command (default 2)"},{"ref":"Grizzly.CommandClass.Powerlevel.Set.html#encode/1","title":"Grizzly.CommandClass.Powerlevel.Set.encode/1","type":"function","doc":"Callback implementation for Grizzly.Command.encode/1."},{"ref":"Grizzly.CommandClass.Powerlevel.Set.html#handle_response/2","title":"Grizzly.CommandClass.Powerlevel.Set.handle_response/2","type":"function","doc":"Callback implementation for Grizzly.Command.handle_response/2."},{"ref":"Grizzly.CommandClass.Powerlevel.Set.html#init/1","title":"Grizzly.CommandClass.Powerlevel.Set.init/1","type":"function","doc":"Callback implementation for Grizzly.Command.init/1."},{"ref":"Grizzly.CommandClass.Powerlevel.Set.html#t:opt/0","title":"Grizzly.CommandClass.Powerlevel.Set.opt/0","type":"type","doc":""},{"ref":"Grizzly.CommandClass.Powerlevel.Set.html#t:t/0","title":"Grizzly.CommandClass.Powerlevel.Set.t/0","type":"type","doc":""},{"ref":"Grizzly.CommandClass.Powerlevel.TestNodeGet.html","title":"Grizzly.CommandClass.Powerlevel.TestNodeGet","type":"module","doc":"Command module for working with the Powerlevel command class TEST_NODE_GET command. It is used to get the results of a prior TEST_NODE_SET command. Command Options: :seq_number - The sequence number of the Z/IP Packet :retries - The number of times to try to send the command (default 2)"},{"ref":"Grizzly.CommandClass.Powerlevel.TestNodeGet.html#encode/1","title":"Grizzly.CommandClass.Powerlevel.TestNodeGet.encode/1","type":"function","doc":"Callback implementation for Grizzly.Command.encode/1."},{"ref":"Grizzly.CommandClass.Powerlevel.TestNodeGet.html#handle_response/2","title":"Grizzly.CommandClass.Powerlevel.TestNodeGet.handle_response/2","type":"function","doc":"Callback implementation for Grizzly.Command.handle_response/2."},{"ref":"Grizzly.CommandClass.Powerlevel.TestNodeGet.html#init/1","title":"Grizzly.CommandClass.Powerlevel.TestNodeGet.init/1","type":"function","doc":"Callback implementation for Grizzly.Command.init/1."},{"ref":"Grizzly.CommandClass.Powerlevel.TestNodeGet.html#t:opt/0","title":"Grizzly.CommandClass.Powerlevel.TestNodeGet.opt/0","type":"type","doc":""},{"ref":"Grizzly.CommandClass.Powerlevel.TestNodeGet.html#t:t/0","title":"Grizzly.CommandClass.Powerlevel.TestNodeGet.t/0","type":"type","doc":""},{"ref":"Grizzly.CommandClass.Powerlevel.TestNodeSet.html","title":"Grizzly.CommandClass.Powerlevel.TestNodeSet","type":"module","doc":"Command module for working with the Powerlevel command class TEST_NODE_SET command. It is used to temporarily decrease the RF transmit power level of a device while sending test frames to another. Command Options: :power_level - By how much to decrease the RF transmit power level (:normal_power is no decrease): :normal_power | :minus1dBm | :minus2dBm | :minus3dBm | :minus4dBm | :minus5dBm | :minus6dBm | :minus7dBm | :minus8dBm | :minus9dBm :test_node_id - The device to send frames to from this device :test_frame_count - How many frames to send :seq_number - The sequence number of the Z/IP Packet :retries - The number of times to try to send the command (default 2)"},{"ref":"Grizzly.CommandClass.Powerlevel.TestNodeSet.html#encode/1","title":"Grizzly.CommandClass.Powerlevel.TestNodeSet.encode/1","type":"function","doc":"Callback implementation for Grizzly.Command.encode/1."},{"ref":"Grizzly.CommandClass.Powerlevel.TestNodeSet.html#handle_response/2","title":"Grizzly.CommandClass.Powerlevel.TestNodeSet.handle_response/2","type":"function","doc":"Callback implementation for Grizzly.Command.handle_response/2."},{"ref":"Grizzly.CommandClass.Powerlevel.TestNodeSet.html#init/1","title":"Grizzly.CommandClass.Powerlevel.TestNodeSet.init/1","type":"function","doc":"Callback implementation for Grizzly.Command.init/1."},{"ref":"Grizzly.CommandClass.Powerlevel.TestNodeSet.html#t:opt/0","title":"Grizzly.CommandClass.Powerlevel.TestNodeSet.opt/0","type":"type","doc":""},{"ref":"Grizzly.CommandClass.Powerlevel.TestNodeSet.html#t:t/0","title":"Grizzly.CommandClass.Powerlevel.TestNodeSet.t/0","type":"type","doc":""},{"ref":"Grizzly.CommandClass.ScheduleEntryLock.DailyRepeatingGet.html","title":"Grizzly.CommandClass.ScheduleEntryLock.DailyRepeatingGet","type":"module","doc":"Command for working with SCHEDULE_ENTRY_LOCK command class DAILY_REPEATING_GET command Command Options: :user_id - a number for the user id :slot_id - the slot id for the code :seq_number - The sequence number used in the Z/IP packet :retries - The number of attempts to send the command (default 2)"},{"ref":"Grizzly.CommandClass.ScheduleEntryLock.DailyRepeatingGet.html#encode/1","title":"Grizzly.CommandClass.ScheduleEntryLock.DailyRepeatingGet.encode/1","type":"function","doc":"Callback implementation for Grizzly.Command.encode/1."},{"ref":"Grizzly.CommandClass.ScheduleEntryLock.DailyRepeatingGet.html#handle_response/2","title":"Grizzly.CommandClass.ScheduleEntryLock.DailyRepeatingGet.handle_response/2","type":"function","doc":"Callback implementation for Grizzly.Command.handle_response/2."},{"ref":"Grizzly.CommandClass.ScheduleEntryLock.DailyRepeatingGet.html#init/1","title":"Grizzly.CommandClass.ScheduleEntryLock.DailyRepeatingGet.init/1","type":"function","doc":"Callback implementation for Grizzly.Command.init/1."},{"ref":"Grizzly.CommandClass.ScheduleEntryLock.DailyRepeatingGet.html#t:opt/0","title":"Grizzly.CommandClass.ScheduleEntryLock.DailyRepeatingGet.opt/0","type":"type","doc":""},{"ref":"Grizzly.CommandClass.ScheduleEntryLock.DailyRepeatingGet.html#t:t/0","title":"Grizzly.CommandClass.ScheduleEntryLock.DailyRepeatingGet.t/0","type":"type","doc":""},{"ref":"Grizzly.CommandClass.ScheduleEntryLock.DailyRepeatingSet.html","title":"Grizzly.CommandClass.ScheduleEntryLock.DailyRepeatingSet","type":"module","doc":"Command for working with SCHEDULE_ENTRY_LOCK command class DAILY_REPEATING_SET command Command Options: :user_id - a number for the user id :slot_id - the slot id for the code :action - :enable or :disable the action :weekdays - List of weekdays to run schedule on :start_hour - The hour of the day to start :start_minute - The minute of the hour to start :duration_hour - The amount of hours to keep the schedule available :duration_minute - The number of minutes within the hour to keep the schedule available :seq_number - The sequence number used in the Z/IP packet :retries - The number of attempts to send the command (default 2)"},{"ref":"Grizzly.CommandClass.ScheduleEntryLock.DailyRepeatingSet.html#encode/1","title":"Grizzly.CommandClass.ScheduleEntryLock.DailyRepeatingSet.encode/1","type":"function","doc":"Callback implementation for Grizzly.Command.encode/1."},{"ref":"Grizzly.CommandClass.ScheduleEntryLock.DailyRepeatingSet.html#handle_response/2","title":"Grizzly.CommandClass.ScheduleEntryLock.DailyRepeatingSet.handle_response/2","type":"function","doc":"Callback implementation for Grizzly.Command.handle_response/2."},{"ref":"Grizzly.CommandClass.ScheduleEntryLock.DailyRepeatingSet.html#init/1","title":"Grizzly.CommandClass.ScheduleEntryLock.DailyRepeatingSet.init/1","type":"function","doc":"Callback implementation for Grizzly.Command.init/1."},{"ref":"Grizzly.CommandClass.ScheduleEntryLock.DailyRepeatingSet.html#t:opt/0","title":"Grizzly.CommandClass.ScheduleEntryLock.DailyRepeatingSet.opt/0","type":"type","doc":""},{"ref":"Grizzly.CommandClass.ScheduleEntryLock.DailyRepeatingSet.html#t:t/0","title":"Grizzly.CommandClass.ScheduleEntryLock.DailyRepeatingSet.t/0","type":"type","doc":""},{"ref":"Grizzly.CommandClass.ScheduleEntryLock.EnableAllSet.html","title":"Grizzly.CommandClass.ScheduleEntryLock.EnableAllSet","type":"module","doc":"Command for working with SCHEDULE_ENTRY_LOCK command class ENABLE_ALL_SET command Command Options: :value - :enable or :disable all schedules for the EntryLock :seq_number - The sequence number used in the Z/IP packet :retries - The number of attempts to send the command (default 2)"},{"ref":"Grizzly.CommandClass.ScheduleEntryLock.EnableAllSet.html#encode/1","title":"Grizzly.CommandClass.ScheduleEntryLock.EnableAllSet.encode/1","type":"function","doc":"Callback implementation for Grizzly.Command.encode/1."},{"ref":"Grizzly.CommandClass.ScheduleEntryLock.EnableAllSet.html#handle_response/2","title":"Grizzly.CommandClass.ScheduleEntryLock.EnableAllSet.handle_response/2","type":"function","doc":"Callback implementation for Grizzly.Command.handle_response/2."},{"ref":"Grizzly.CommandClass.ScheduleEntryLock.EnableAllSet.html#init/1","title":"Grizzly.CommandClass.ScheduleEntryLock.EnableAllSet.init/1","type":"function","doc":"Callback implementation for Grizzly.Command.init/1."},{"ref":"Grizzly.CommandClass.ScheduleEntryLock.EnableAllSet.html#t:opt/0","title":"Grizzly.CommandClass.ScheduleEntryLock.EnableAllSet.opt/0","type":"type","doc":""},{"ref":"Grizzly.CommandClass.ScheduleEntryLock.EnableAllSet.html#t:t/0","title":"Grizzly.CommandClass.ScheduleEntryLock.EnableAllSet.t/0","type":"type","doc":""},{"ref":"Grizzly.CommandClass.ScheduleEntryLock.EnableSet.html","title":"Grizzly.CommandClass.ScheduleEntryLock.EnableSet","type":"module","doc":"Command for working with SCHEDULE_ENTRY_LOCK command class ENABLE_SET command Command Options: :value - :enable or :disable the schedule for the EntryLock :user_id - The schedule user id for the EntryLock :seq_number - The sequence number used in the Z/IP packet :retries - The number of attempts to send the command (default 2)"},{"ref":"Grizzly.CommandClass.ScheduleEntryLock.EnableSet.html#encode/1","title":"Grizzly.CommandClass.ScheduleEntryLock.EnableSet.encode/1","type":"function","doc":"Callback implementation for Grizzly.Command.encode/1."},{"ref":"Grizzly.CommandClass.ScheduleEntryLock.EnableSet.html#handle_response/2","title":"Grizzly.CommandClass.ScheduleEntryLock.EnableSet.handle_response/2","type":"function","doc":"Callback implementation for Grizzly.Command.handle_response/2."},{"ref":"Grizzly.CommandClass.ScheduleEntryLock.EnableSet.html#init/1","title":"Grizzly.CommandClass.ScheduleEntryLock.EnableSet.init/1","type":"function","doc":"Callback implementation for Grizzly.Command.init/1."},{"ref":"Grizzly.CommandClass.ScheduleEntryLock.EnableSet.html#t:opt/0","title":"Grizzly.CommandClass.ScheduleEntryLock.EnableSet.opt/0","type":"type","doc":""},{"ref":"Grizzly.CommandClass.ScheduleEntryLock.EnableSet.html#t:t/0","title":"Grizzly.CommandClass.ScheduleEntryLock.EnableSet.t/0","type":"type","doc":""},{"ref":"Grizzly.CommandClass.ScheduleEntryLock.SupportedGet.html","title":"Grizzly.CommandClass.ScheduleEntryLock.SupportedGet","type":"module","doc":"Command for working with SCHEDULE_ENTRY_LOCK command class SUPPORTED_GET command This command is used to request the number of schedule slots each type of schedule the device supports for each user. Command Options: :seq_number - The sequence number used in the Z/IP packet :retries - The number of attempts to send the command (default 2)"},{"ref":"Grizzly.CommandClass.ScheduleEntryLock.SupportedGet.html#encode/1","title":"Grizzly.CommandClass.ScheduleEntryLock.SupportedGet.encode/1","type":"function","doc":"Callback implementation for Grizzly.Command.encode/1."},{"ref":"Grizzly.CommandClass.ScheduleEntryLock.SupportedGet.html#handle_response/2","title":"Grizzly.CommandClass.ScheduleEntryLock.SupportedGet.handle_response/2","type":"function","doc":"Callback implementation for Grizzly.Command.handle_response/2."},{"ref":"Grizzly.CommandClass.ScheduleEntryLock.SupportedGet.html#init/1","title":"Grizzly.CommandClass.ScheduleEntryLock.SupportedGet.init/1","type":"function","doc":"Callback implementation for Grizzly.Command.init/1."},{"ref":"Grizzly.CommandClass.ScheduleEntryLock.SupportedGet.html#t:opt/0","title":"Grizzly.CommandClass.ScheduleEntryLock.SupportedGet.opt/0","type":"type","doc":""},{"ref":"Grizzly.CommandClass.ScheduleEntryLock.SupportedGet.html#t:t/0","title":"Grizzly.CommandClass.ScheduleEntryLock.SupportedGet.t/0","type":"type","doc":""},{"ref":"Grizzly.CommandClass.ScheduleEntryLock.YearDayGet.html","title":"Grizzly.CommandClass.ScheduleEntryLock.YearDayGet","type":"module","doc":"Command for working with SCHEDULE_ENTRY_LOCK command class YEAR_DAY_GET command Command Options: :slot_id - The schedule slot id :user_id - The schedule user id for the EntryLock :seq_number - The sequence number used in the Z/IP packet :retries - The number of attempts to send the command (default 2)"},{"ref":"Grizzly.CommandClass.ScheduleEntryLock.YearDayGet.html#encode/1","title":"Grizzly.CommandClass.ScheduleEntryLock.YearDayGet.encode/1","type":"function","doc":"Callback implementation for Grizzly.Command.encode/1."},{"ref":"Grizzly.CommandClass.ScheduleEntryLock.YearDayGet.html#handle_response/2","title":"Grizzly.CommandClass.ScheduleEntryLock.YearDayGet.handle_response/2","type":"function","doc":"Callback implementation for Grizzly.Command.handle_response/2."},{"ref":"Grizzly.CommandClass.ScheduleEntryLock.YearDayGet.html#init/1","title":"Grizzly.CommandClass.ScheduleEntryLock.YearDayGet.init/1","type":"function","doc":"Callback implementation for Grizzly.Command.init/1."},{"ref":"Grizzly.CommandClass.ScheduleEntryLock.YearDayGet.html#t:opt/0","title":"Grizzly.CommandClass.ScheduleEntryLock.YearDayGet.opt/0","type":"type","doc":""},{"ref":"Grizzly.CommandClass.ScheduleEntryLock.YearDayGet.html#t:t/0","title":"Grizzly.CommandClass.ScheduleEntryLock.YearDayGet.t/0","type":"type","doc":""},{"ref":"Grizzly.CommandClass.ScheduleEntryLock.YearDaySet.html","title":"Grizzly.CommandClass.ScheduleEntryLock.YearDaySet","type":"module","doc":"Command for working with SCHEDULE_ENTRY_LOCK command class YEAR_DAY_SET command Command Options: :action - The action either to erase or to modify the slot :slot_id - The schedule slot id :user_id - The schedule user id for the EntryLock :start_year - A value from 0 to 99 that represents the 2 year in the century :start_month - A value from 1 to 12 that represents the month in a year :start_day - A value from 1 to 31 that represents the date of the month :start_hour - A value from 0 to 23 representing the starting hour of the time fence :start_minute - A value from 0 to 59 representing the starting minute of the time fence :stop_year - A value from 0 to 99 that represents the 2 year in the century :stop_month - A value from 1 to 12 that represents the month in a year :stop_day - A value from 1 to 31 that represents the date of the month :stop_hour - A value from 0 to 23 representing the starting hour of the time fence :stop_minute - A value from 0 to 59 representing the starting minute of the time fence :seq_number - The sequence number used in the Z/IP packet :retries - The number of attempts to send the command (default 2)"},{"ref":"Grizzly.CommandClass.ScheduleEntryLock.YearDaySet.html#encode/1","title":"Grizzly.CommandClass.ScheduleEntryLock.YearDaySet.encode/1","type":"function","doc":"Callback implementation for Grizzly.Command.encode/1."},{"ref":"Grizzly.CommandClass.ScheduleEntryLock.YearDaySet.html#handle_response/2","title":"Grizzly.CommandClass.ScheduleEntryLock.YearDaySet.handle_response/2","type":"function","doc":"Callback implementation for Grizzly.Command.handle_response/2."},{"ref":"Grizzly.CommandClass.ScheduleEntryLock.YearDaySet.html#init/1","title":"Grizzly.CommandClass.ScheduleEntryLock.YearDaySet.init/1","type":"function","doc":"Callback implementation for Grizzly.Command.init/1."},{"ref":"Grizzly.CommandClass.ScheduleEntryLock.YearDaySet.html#t:opt/0","title":"Grizzly.CommandClass.ScheduleEntryLock.YearDaySet.opt/0","type":"type","doc":""},{"ref":"Grizzly.CommandClass.ScheduleEntryLock.YearDaySet.html#t:t/0","title":"Grizzly.CommandClass.ScheduleEntryLock.YearDaySet.t/0","type":"type","doc":""},{"ref":"Grizzly.CommandClass.SensorMultilevel.Get.html","title":"Grizzly.CommandClass.SensorMultilevel.Get","type":"module","doc":"Command module for working with the SensorMultilevel command class GET command Command Options: :seq_number - the sequence number used for Z/IP packet :retries - the number of attempts to send the command (default 2)"},{"ref":"Grizzly.CommandClass.SensorMultilevel.Get.html#encode/1","title":"Grizzly.CommandClass.SensorMultilevel.Get.encode/1","type":"function","doc":"Callback implementation for Grizzly.Command.encode/1."},{"ref":"Grizzly.CommandClass.SensorMultilevel.Get.html#handle_response/2","title":"Grizzly.CommandClass.SensorMultilevel.Get.handle_response/2","type":"function","doc":"Callback implementation for Grizzly.Command.handle_response/2."},{"ref":"Grizzly.CommandClass.SensorMultilevel.Get.html#init/1","title":"Grizzly.CommandClass.SensorMultilevel.Get.init/1","type":"function","doc":"Callback implementation for Grizzly.Command.init/1."},{"ref":"Grizzly.CommandClass.SensorMultilevel.Get.html#t:opt/0","title":"Grizzly.CommandClass.SensorMultilevel.Get.opt/0","type":"type","doc":""},{"ref":"Grizzly.CommandClass.SensorMultilevel.Get.html#t:t/0","title":"Grizzly.CommandClass.SensorMultilevel.Get.t/0","type":"type","doc":""},{"ref":"Grizzly.CommandClass.SensorMultilevel.SupportedGetSensor.html","title":"Grizzly.CommandClass.SensorMultilevel.SupportedGetSensor","type":"module","doc":"Command module for working with the SensorMultilevel command class SENSOR_MULTILEVEL_SUPPORTED_GET_SENSOR command Command Options: :seq_number - the sequence number used for Z/IP packet :retries - the number of attempts to send the command (default 2)"},{"ref":"Grizzly.CommandClass.SensorMultilevel.SupportedGetSensor.html#encode/1","title":"Grizzly.CommandClass.SensorMultilevel.SupportedGetSensor.encode/1","type":"function","doc":"Callback implementation for Grizzly.Command.encode/1."},{"ref":"Grizzly.CommandClass.SensorMultilevel.SupportedGetSensor.html#handle_response/2","title":"Grizzly.CommandClass.SensorMultilevel.SupportedGetSensor.handle_response/2","type":"function","doc":"Callback implementation for Grizzly.Command.handle_response/2."},{"ref":"Grizzly.CommandClass.SensorMultilevel.SupportedGetSensor.html#init/1","title":"Grizzly.CommandClass.SensorMultilevel.SupportedGetSensor.init/1","type":"function","doc":"Callback implementation for Grizzly.Command.init/1."},{"ref":"Grizzly.CommandClass.SensorMultilevel.SupportedGetSensor.html#t:opt/0","title":"Grizzly.CommandClass.SensorMultilevel.SupportedGetSensor.opt/0","type":"type","doc":""},{"ref":"Grizzly.CommandClass.SensorMultilevel.SupportedGetSensor.html#t:t/0","title":"Grizzly.CommandClass.SensorMultilevel.SupportedGetSensor.t/0","type":"type","doc":""},{"ref":"Grizzly.CommandClass.SwitchBinary.Get.html","title":"Grizzly.CommandClass.SwitchBinary.Get","type":"module","doc":"Command module for working with SWITCH_BINARY GET command. command options: :seq_number - The sequence number for the Z/IP Packet :retries - The number of times to resend the command (default 2)"},{"ref":"Grizzly.CommandClass.SwitchBinary.Get.html#encode/1","title":"Grizzly.CommandClass.SwitchBinary.Get.encode/1","type":"function","doc":"Callback implementation for Grizzly.Command.encode/1."},{"ref":"Grizzly.CommandClass.SwitchBinary.Get.html#handle_response/2","title":"Grizzly.CommandClass.SwitchBinary.Get.handle_response/2","type":"function","doc":"Callback implementation for Grizzly.Command.handle_response/2."},{"ref":"Grizzly.CommandClass.SwitchBinary.Get.html#init/1","title":"Grizzly.CommandClass.SwitchBinary.Get.init/1","type":"function","doc":"Callback implementation for Grizzly.Command.init/1."},{"ref":"Grizzly.CommandClass.SwitchBinary.Get.html#t:opt/0","title":"Grizzly.CommandClass.SwitchBinary.Get.opt/0","type":"type","doc":""},{"ref":"Grizzly.CommandClass.SwitchBinary.Get.html#t:t/0","title":"Grizzly.CommandClass.SwitchBinary.Get.t/0","type":"type","doc":""},{"ref":"Grizzly.CommandClass.SwitchBinary.Set.html","title":"Grizzly.CommandClass.SwitchBinary.Set","type":"module","doc":"Command module for working with SWITCH_BINARY SET command. command options: :value - either :on or :off :seq_number - The sequence number for the Z/IP Packet :retries - The number of times to resend the command (default 2)"},{"ref":"Grizzly.CommandClass.SwitchBinary.Set.html#encode/1","title":"Grizzly.CommandClass.SwitchBinary.Set.encode/1","type":"function","doc":"Callback implementation for Grizzly.Command.encode/1."},{"ref":"Grizzly.CommandClass.SwitchBinary.Set.html#handle_response/2","title":"Grizzly.CommandClass.SwitchBinary.Set.handle_response/2","type":"function","doc":"Callback implementation for Grizzly.Command.handle_response/2."},{"ref":"Grizzly.CommandClass.SwitchBinary.Set.html#init/1","title":"Grizzly.CommandClass.SwitchBinary.Set.init/1","type":"function","doc":"Callback implementation for Grizzly.Command.init/1."},{"ref":"Grizzly.CommandClass.SwitchBinary.Set.html#t:opts/0","title":"Grizzly.CommandClass.SwitchBinary.Set.opts/0","type":"type","doc":""},{"ref":"Grizzly.CommandClass.SwitchBinary.Set.html#t:t/0","title":"Grizzly.CommandClass.SwitchBinary.Set.t/0","type":"type","doc":""},{"ref":"Grizzly.CommandClass.SwitchMultilevel.Get.html","title":"Grizzly.CommandClass.SwitchMultilevel.Get","type":"module","doc":"Command module for working with SWITCH_MULTILEVEL GET command. command options: :seq_number - The sequence number for the Z/IP Packet"},{"ref":"Grizzly.CommandClass.SwitchMultilevel.Get.html#encode/1","title":"Grizzly.CommandClass.SwitchMultilevel.Get.encode/1","type":"function","doc":"Callback implementation for Grizzly.Command.encode/1."},{"ref":"Grizzly.CommandClass.SwitchMultilevel.Get.html#handle_response/2","title":"Grizzly.CommandClass.SwitchMultilevel.Get.handle_response/2","type":"function","doc":"Callback implementation for Grizzly.Command.handle_response/2."},{"ref":"Grizzly.CommandClass.SwitchMultilevel.Get.html#init/1","title":"Grizzly.CommandClass.SwitchMultilevel.Get.init/1","type":"function","doc":"Callback implementation for Grizzly.Command.init/1."},{"ref":"Grizzly.CommandClass.SwitchMultilevel.Get.html#t:opt/0","title":"Grizzly.CommandClass.SwitchMultilevel.Get.opt/0","type":"type","doc":""},{"ref":"Grizzly.CommandClass.SwitchMultilevel.Get.html#t:t/0","title":"Grizzly.CommandClass.SwitchMultilevel.Get.t/0","type":"type","doc":""},{"ref":"Grizzly.CommandClass.SwitchMultilevel.Set.html","title":"Grizzly.CommandClass.SwitchMultilevel.Set","type":"module","doc":"Command module for working with SWITCH_MULTILEVEL SET command. command options: :value - A number between 0 and 99 for the switch level :seq_number - The sequence number for the Z/IP Packet"},{"ref":"Grizzly.CommandClass.SwitchMultilevel.Set.html#encode/1","title":"Grizzly.CommandClass.SwitchMultilevel.Set.encode/1","type":"function","doc":"Callback implementation for Grizzly.Command.encode/1."},{"ref":"Grizzly.CommandClass.SwitchMultilevel.Set.html#handle_response/2","title":"Grizzly.CommandClass.SwitchMultilevel.Set.handle_response/2","type":"function","doc":"Callback implementation for Grizzly.Command.handle_response/2."},{"ref":"Grizzly.CommandClass.SwitchMultilevel.Set.html#init/1","title":"Grizzly.CommandClass.SwitchMultilevel.Set.init/1","type":"function","doc":"Callback implementation for Grizzly.Command.init/1."},{"ref":"Grizzly.CommandClass.SwitchMultilevel.Set.html#t:opts/0","title":"Grizzly.CommandClass.SwitchMultilevel.Set.opts/0","type":"type","doc":""},{"ref":"Grizzly.CommandClass.SwitchMultilevel.Set.html#t:t/0","title":"Grizzly.CommandClass.SwitchMultilevel.Set.t/0","type":"type","doc":""},{"ref":"Grizzly.CommandClass.ThermostatFanMode.Get.html","title":"Grizzly.CommandClass.ThermostatFanMode.Get","type":"module","doc":"Module for the ThermostatFanMode command class GET command. Command options: :seq_number - The sequence number for the packet :retries - The amount of times to retry the command (default 2)"},{"ref":"Grizzly.CommandClass.ThermostatFanMode.Get.html#encode/1","title":"Grizzly.CommandClass.ThermostatFanMode.Get.encode/1","type":"function","doc":"Callback implementation for Grizzly.Command.encode/1."},{"ref":"Grizzly.CommandClass.ThermostatFanMode.Get.html#handle_response/2","title":"Grizzly.CommandClass.ThermostatFanMode.Get.handle_response/2","type":"function","doc":"Callback implementation for Grizzly.Command.handle_response/2."},{"ref":"Grizzly.CommandClass.ThermostatFanMode.Get.html#init/1","title":"Grizzly.CommandClass.ThermostatFanMode.Get.init/1","type":"function","doc":"Callback implementation for Grizzly.Command.init/1."},{"ref":"Grizzly.CommandClass.ThermostatFanMode.Get.html#t:opt/0","title":"Grizzly.CommandClass.ThermostatFanMode.Get.opt/0","type":"type","doc":""},{"ref":"Grizzly.CommandClass.ThermostatFanMode.Get.html#t:t/0","title":"Grizzly.CommandClass.ThermostatFanMode.Get.t/0","type":"type","doc":""},{"ref":"Grizzly.CommandClass.ThermostatFanMode.Set.html","title":"Grizzly.CommandClass.ThermostatFanMode.Set","type":"module","doc":"Command module for the ThermostatFanMode command class SET command Command Options: :mode - The mode of the fan: :auto_low, :low, :auto_high, :high, :auto_medium, :medium, :circulation, :humidity_circulation, :left_right, :up_down, :quiet :seq_number - The sequence number for the packet :retries - The number of times the command should be retried (default 2)"},{"ref":"Grizzly.CommandClass.ThermostatFanMode.Set.html#encode/1","title":"Grizzly.CommandClass.ThermostatFanMode.Set.encode/1","type":"function","doc":"Callback implementation for Grizzly.Command.encode/1."},{"ref":"Grizzly.CommandClass.ThermostatFanMode.Set.html#handle_response/2","title":"Grizzly.CommandClass.ThermostatFanMode.Set.handle_response/2","type":"function","doc":"Callback implementation for Grizzly.Command.handle_response/2."},{"ref":"Grizzly.CommandClass.ThermostatFanMode.Set.html#init/1","title":"Grizzly.CommandClass.ThermostatFanMode.Set.init/1","type":"function","doc":"Callback implementation for Grizzly.Command.init/1."},{"ref":"Grizzly.CommandClass.ThermostatFanMode.Set.html#t:opt/0","title":"Grizzly.CommandClass.ThermostatFanMode.Set.opt/0","type":"type","doc":""},{"ref":"Grizzly.CommandClass.ThermostatFanMode.Set.html#t:t/0","title":"Grizzly.CommandClass.ThermostatFanMode.Set.t/0","type":"type","doc":""},{"ref":"Grizzly.CommandClass.ThermostatFanState.Get.html","title":"Grizzly.CommandClass.ThermostatFanState.Get","type":"module","doc":"Command module for working with ThermostatFanState command class GET command Command Options: :seq_number - The sequence number used in the Z/IP Packet :retries - The number of times to retry send the command (default 2)"},{"ref":"Grizzly.CommandClass.ThermostatFanState.Get.html#encode/1","title":"Grizzly.CommandClass.ThermostatFanState.Get.encode/1","type":"function","doc":"Callback implementation for Grizzly.Command.encode/1."},{"ref":"Grizzly.CommandClass.ThermostatFanState.Get.html#handle_response/2","title":"Grizzly.CommandClass.ThermostatFanState.Get.handle_response/2","type":"function","doc":"Callback implementation for Grizzly.Command.handle_response/2."},{"ref":"Grizzly.CommandClass.ThermostatFanState.Get.html#init/1","title":"Grizzly.CommandClass.ThermostatFanState.Get.init/1","type":"function","doc":"Callback implementation for Grizzly.Command.init/1."},{"ref":"Grizzly.CommandClass.ThermostatFanState.Get.html#t:opt/0","title":"Grizzly.CommandClass.ThermostatFanState.Get.opt/0","type":"type","doc":""},{"ref":"Grizzly.CommandClass.ThermostatFanState.Get.html#t:t/0","title":"Grizzly.CommandClass.ThermostatFanState.Get.t/0","type":"type","doc":""},{"ref":"Grizzly.CommandClass.ThermostatMode.Get.html","title":"Grizzly.CommandClass.ThermostatMode.Get","type":"module","doc":"Command module for working with ThermostatMode command class GET command Command Options: :seq_number - The sequence number used in the Z/IP Packet :retries - The number of times to resend the command (default 2)"},{"ref":"Grizzly.CommandClass.ThermostatMode.Get.html#encode/1","title":"Grizzly.CommandClass.ThermostatMode.Get.encode/1","type":"function","doc":"Callback implementation for Grizzly.Command.encode/1."},{"ref":"Grizzly.CommandClass.ThermostatMode.Get.html#handle_response/2","title":"Grizzly.CommandClass.ThermostatMode.Get.handle_response/2","type":"function","doc":"Callback implementation for Grizzly.Command.handle_response/2."},{"ref":"Grizzly.CommandClass.ThermostatMode.Get.html#init/1","title":"Grizzly.CommandClass.ThermostatMode.Get.init/1","type":"function","doc":"Callback implementation for Grizzly.Command.init/1."},{"ref":"Grizzly.CommandClass.ThermostatMode.Get.html#t:opt/0","title":"Grizzly.CommandClass.ThermostatMode.Get.opt/0","type":"type","doc":""},{"ref":"Grizzly.CommandClass.ThermostatMode.Get.html#t:t/0","title":"Grizzly.CommandClass.ThermostatMode.Get.t/0","type":"type","doc":""},{"ref":"Grizzly.CommandClass.ThermostatMode.Set.html","title":"Grizzly.CommandClass.ThermostatMode.Set","type":"module","doc":"Command module for working with ThermostatMode command class SET command Command Options: :mode - The mode of the thermostat: :off, :heat, :cool, :auto, or byte :seq_number - The sequence number of the Z/IP Packet :retries - The number of times to try to send the command (default 2)"},{"ref":"Grizzly.CommandClass.ThermostatMode.Set.html#encode/1","title":"Grizzly.CommandClass.ThermostatMode.Set.encode/1","type":"function","doc":"Callback implementation for Grizzly.Command.encode/1."},{"ref":"Grizzly.CommandClass.ThermostatMode.Set.html#handle_response/2","title":"Grizzly.CommandClass.ThermostatMode.Set.handle_response/2","type":"function","doc":"Callback implementation for Grizzly.Command.handle_response/2."},{"ref":"Grizzly.CommandClass.ThermostatMode.Set.html#init/1","title":"Grizzly.CommandClass.ThermostatMode.Set.init/1","type":"function","doc":"Callback implementation for Grizzly.Command.init/1."},{"ref":"Grizzly.CommandClass.ThermostatMode.Set.html#t:opt/0","title":"Grizzly.CommandClass.ThermostatMode.Set.opt/0","type":"type","doc":""},{"ref":"Grizzly.CommandClass.ThermostatMode.Set.html#t:t/0","title":"Grizzly.CommandClass.ThermostatMode.Set.t/0","type":"type","doc":""},{"ref":"Grizzly.CommandClass.ThermostatSetback.Get.html","title":"Grizzly.CommandClass.ThermostatSetback.Get","type":"module","doc":"Command module for working with ThermostatSetback command class GET command Command Options: :seq_number - The sequence number for the Z/IP Packet :retries - The number of times to resend the command (default 2)"},{"ref":"Grizzly.CommandClass.ThermostatSetback.Get.html#encode/1","title":"Grizzly.CommandClass.ThermostatSetback.Get.encode/1","type":"function","doc":"Callback implementation for Grizzly.Command.encode/1."},{"ref":"Grizzly.CommandClass.ThermostatSetback.Get.html#handle_response/2","title":"Grizzly.CommandClass.ThermostatSetback.Get.handle_response/2","type":"function","doc":"Callback implementation for Grizzly.Command.handle_response/2."},{"ref":"Grizzly.CommandClass.ThermostatSetback.Get.html#init/1","title":"Grizzly.CommandClass.ThermostatSetback.Get.init/1","type":"function","doc":"Callback implementation for Grizzly.Command.init/1."},{"ref":"Grizzly.CommandClass.ThermostatSetback.Get.html#t:opt/0","title":"Grizzly.CommandClass.ThermostatSetback.Get.opt/0","type":"type","doc":""},{"ref":"Grizzly.CommandClass.ThermostatSetback.Get.html#t:report/0","title":"Grizzly.CommandClass.ThermostatSetback.Get.report/0","type":"type","doc":""},{"ref":"Grizzly.CommandClass.ThermostatSetback.Get.html#t:t/0","title":"Grizzly.CommandClass.ThermostatSetback.Get.t/0","type":"type","doc":""},{"ref":"Grizzly.CommandClass.ThermostatSetback.Set.html","title":"Grizzly.CommandClass.ThermostatSetback.Set","type":"module","doc":"Command module to work with the ThermostatSetback command class SET command Command Options: :value - What the value of the set-point should be :type - The setback type being targeted: :no_override, :temporary_override or :permanent_override :state - :frost_protection, :energy_saving_mode or an integer between -128 and 120 (tenth of degrees) :seq_number - The sequence number of the Z/IP Packet :retries - The number of times to try to send the command (default 2)"},{"ref":"Grizzly.CommandClass.ThermostatSetback.Set.html#encode/1","title":"Grizzly.CommandClass.ThermostatSetback.Set.encode/1","type":"function","doc":"Callback implementation for Grizzly.Command.encode/1."},{"ref":"Grizzly.CommandClass.ThermostatSetback.Set.html#handle_response/2","title":"Grizzly.CommandClass.ThermostatSetback.Set.handle_response/2","type":"function","doc":"Callback implementation for Grizzly.Command.handle_response/2."},{"ref":"Grizzly.CommandClass.ThermostatSetback.Set.html#init/1","title":"Grizzly.CommandClass.ThermostatSetback.Set.init/1","type":"function","doc":"Callback implementation for Grizzly.Command.init/1."},{"ref":"Grizzly.CommandClass.ThermostatSetback.Set.html#t:opt/0","title":"Grizzly.CommandClass.ThermostatSetback.Set.opt/0","type":"type","doc":""},{"ref":"Grizzly.CommandClass.ThermostatSetback.Set.html#t:t/0","title":"Grizzly.CommandClass.ThermostatSetback.Set.t/0","type":"type","doc":""},{"ref":"Grizzly.CommandClass.ThermostatSetpoint.Get.html","title":"Grizzly.CommandClass.ThermostatSetpoint.Get","type":"module","doc":"Command module for working with ThermostatSetpoint command class GET command Command Options: :type - The set-point type: :cooling, :heating, or a byte :seq_number - The sequence number for the Z/IP Packet :retries - The number of times to resend the command (default 2)"},{"ref":"Grizzly.CommandClass.ThermostatSetpoint.Get.html#encode/1","title":"Grizzly.CommandClass.ThermostatSetpoint.Get.encode/1","type":"function","doc":"Callback implementation for Grizzly.Command.encode/1."},{"ref":"Grizzly.CommandClass.ThermostatSetpoint.Get.html#handle_response/2","title":"Grizzly.CommandClass.ThermostatSetpoint.Get.handle_response/2","type":"function","doc":"Callback implementation for Grizzly.Command.handle_response/2."},{"ref":"Grizzly.CommandClass.ThermostatSetpoint.Get.html#init/1","title":"Grizzly.CommandClass.ThermostatSetpoint.Get.init/1","type":"function","doc":"Callback implementation for Grizzly.Command.init/1."},{"ref":"Grizzly.CommandClass.ThermostatSetpoint.Get.html#t:opt/0","title":"Grizzly.CommandClass.ThermostatSetpoint.Get.opt/0","type":"type","doc":""},{"ref":"Grizzly.CommandClass.ThermostatSetpoint.Get.html#t:t/0","title":"Grizzly.CommandClass.ThermostatSetpoint.Get.t/0","type":"type","doc":""},{"ref":"Grizzly.CommandClass.ThermostatSetpoint.Set.html","title":"Grizzly.CommandClass.ThermostatSetpoint.Set","type":"module","doc":"Command module to work with the ThermostatSetpoint command class SET command Command Options: :value - What the value of the set-point should be :type - The set-point type being targeted: :cooling, :heating, or a byte :opts - A keyword list of :precision, :scale, and :size :seq_number - The sequence number of the Z/IP Packet :retries - The number of times to try to send the command (default 2)"},{"ref":"Grizzly.CommandClass.ThermostatSetpoint.Set.html#encode/1","title":"Grizzly.CommandClass.ThermostatSetpoint.Set.encode/1","type":"function","doc":"Callback implementation for Grizzly.Command.encode/1."},{"ref":"Grizzly.CommandClass.ThermostatSetpoint.Set.html#handle_response/2","title":"Grizzly.CommandClass.ThermostatSetpoint.Set.handle_response/2","type":"function","doc":"Callback implementation for Grizzly.Command.handle_response/2."},{"ref":"Grizzly.CommandClass.ThermostatSetpoint.Set.html#init/1","title":"Grizzly.CommandClass.ThermostatSetpoint.Set.init/1","type":"function","doc":"Callback implementation for Grizzly.Command.init/1."},{"ref":"Grizzly.CommandClass.ThermostatSetpoint.Set.html#t:opt/0","title":"Grizzly.CommandClass.ThermostatSetpoint.Set.opt/0","type":"type","doc":""},{"ref":"Grizzly.CommandClass.ThermostatSetpoint.Set.html#t:t/0","title":"Grizzly.CommandClass.ThermostatSetpoint.Set.t/0","type":"type","doc":""},{"ref":"Grizzly.CommandClass.Time.DateGet.html","title":"Grizzly.CommandClass.Time.DateGet","type":"module","doc":"Command module for working with TIME DATE_GET command. command options: :seq_number - The sequence number for the Z/IP Packet :retries - The number times to retry to send the command (default 2)"},{"ref":"Grizzly.CommandClass.Time.DateGet.html#encode/1","title":"Grizzly.CommandClass.Time.DateGet.encode/1","type":"function","doc":"Callback implementation for Grizzly.Command.encode/1."},{"ref":"Grizzly.CommandClass.Time.DateGet.html#handle_response/2","title":"Grizzly.CommandClass.Time.DateGet.handle_response/2","type":"function","doc":"Callback implementation for Grizzly.Command.handle_response/2."},{"ref":"Grizzly.CommandClass.Time.DateGet.html#init/1","title":"Grizzly.CommandClass.Time.DateGet.init/1","type":"function","doc":"Callback implementation for Grizzly.Command.init/1."},{"ref":"Grizzly.CommandClass.Time.DateGet.html#t:opt/0","title":"Grizzly.CommandClass.Time.DateGet.opt/0","type":"type","doc":""},{"ref":"Grizzly.CommandClass.Time.DateGet.html#t:t/0","title":"Grizzly.CommandClass.Time.DateGet.t/0","type":"type","doc":""},{"ref":"Grizzly.CommandClass.Time.OffsetGet.html","title":"Grizzly.CommandClass.Time.OffsetGet","type":"module","doc":"Command module for working with TIME OFFSET_GET command command options: :seq_number - The sequence number for the Z/IP Packet :retries - The number times to retry to send the command (default 2)"},{"ref":"Grizzly.CommandClass.Time.OffsetGet.html#encode/1","title":"Grizzly.CommandClass.Time.OffsetGet.encode/1","type":"function","doc":"Callback implementation for Grizzly.Command.encode/1."},{"ref":"Grizzly.CommandClass.Time.OffsetGet.html#handle_response/2","title":"Grizzly.CommandClass.Time.OffsetGet.handle_response/2","type":"function","doc":"Callback implementation for Grizzly.Command.handle_response/2."},{"ref":"Grizzly.CommandClass.Time.OffsetGet.html#init/1","title":"Grizzly.CommandClass.Time.OffsetGet.init/1","type":"function","doc":"Callback implementation for Grizzly.Command.init/1."},{"ref":"Grizzly.CommandClass.Time.OffsetGet.html#t:opt/0","title":"Grizzly.CommandClass.Time.OffsetGet.opt/0","type":"type","doc":""},{"ref":"Grizzly.CommandClass.Time.OffsetGet.html#t:t/0","title":"Grizzly.CommandClass.Time.OffsetGet.t/0","type":"type","doc":""},{"ref":"Grizzly.CommandClass.Time.OffsetSet.html","title":"Grizzly.CommandClass.Time.OffsetSet","type":"module","doc":"Command module for working with TIME OFFSET_SET command. command options: :sign_tzo - This field is used to indicate the sign (plus or minus) to apply to the Hour TZO and Minute TZO field :hour_tzo - This field is used to indicate the number of hours that the originating time zone deviates from UTC :minute_tzo - This field is used to indicate the number of minutes that the originating time zone deviates UTC :sign_offset_dst - This field is used to indicate the sign (plus or minus) for the Minute Offset DST field to apply to the current time while in the Daylight Saving Time :minute_offset_dst - This field MUST indicate the number of minutes by which the current time is to be adjusted when Daylight Saving Time starts :month_start_dst - This field MUST indicate the month of the year when Daylight Saving Time starts :day_end_dst - This field MUST indicate the day of the month when Daylight Saving Time starts :hour_start_dst - This field MUST indicate the hour of the day when Daylight Saving Time starts :month_end_dst - This field MUST indicate the month of the year when Daylight Saving Time ends :day_end_dst - This field MUST indicate the day of the month when Daylight Saving Time ends :seq_number - The sequence number for the Z/IP Packet :retries - The number times to retry to send the command (default 2)"},{"ref":"Grizzly.CommandClass.Time.OffsetSet.html#encode/1","title":"Grizzly.CommandClass.Time.OffsetSet.encode/1","type":"function","doc":"Callback implementation for Grizzly.Command.encode/1."},{"ref":"Grizzly.CommandClass.Time.OffsetSet.html#handle_response/2","title":"Grizzly.CommandClass.Time.OffsetSet.handle_response/2","type":"function","doc":"Callback implementation for Grizzly.Command.handle_response/2."},{"ref":"Grizzly.CommandClass.Time.OffsetSet.html#init/1","title":"Grizzly.CommandClass.Time.OffsetSet.init/1","type":"function","doc":"Callback implementation for Grizzly.Command.init/1."},{"ref":"Grizzly.CommandClass.Time.OffsetSet.html#t:opt/0","title":"Grizzly.CommandClass.Time.OffsetSet.opt/0","type":"type","doc":""},{"ref":"Grizzly.CommandClass.Time.OffsetSet.html#t:t/0","title":"Grizzly.CommandClass.Time.OffsetSet.t/0","type":"type","doc":""},{"ref":"Grizzly.CommandClass.Time.TimeGet.html","title":"Grizzly.CommandClass.Time.TimeGet","type":"module","doc":"Command module for working with TIME TIME_GET command. This command used to request the current time from a supporting node. command options: :seq_number - The sequence number for the Z/IP Packet :retries - The number times to retry to send the command (default 2)"},{"ref":"Grizzly.CommandClass.Time.TimeGet.html#encode/1","title":"Grizzly.CommandClass.Time.TimeGet.encode/1","type":"function","doc":"Callback implementation for Grizzly.Command.encode/1."},{"ref":"Grizzly.CommandClass.Time.TimeGet.html#handle_response/2","title":"Grizzly.CommandClass.Time.TimeGet.handle_response/2","type":"function","doc":"Callback implementation for Grizzly.Command.handle_response/2."},{"ref":"Grizzly.CommandClass.Time.TimeGet.html#init/1","title":"Grizzly.CommandClass.Time.TimeGet.init/1","type":"function","doc":"Callback implementation for Grizzly.Command.init/1."},{"ref":"Grizzly.CommandClass.Time.TimeGet.html#t:opt/0","title":"Grizzly.CommandClass.Time.TimeGet.opt/0","type":"type","doc":""},{"ref":"Grizzly.CommandClass.Time.TimeGet.html#t:t/0","title":"Grizzly.CommandClass.Time.TimeGet.t/0","type":"type","doc":""},{"ref":"Grizzly.CommandClass.TimeParameters.Get.html","title":"Grizzly.CommandClass.TimeParameters.Get","type":"module","doc":"Command module for working with TIME_PARAMETERS GET command Request the time parameters command options: :seq_number - The sequence number for the Z/IP Packet :retries - The number times to retry to send the command (default 2)"},{"ref":"Grizzly.CommandClass.TimeParameters.Get.html#encode/1","title":"Grizzly.CommandClass.TimeParameters.Get.encode/1","type":"function","doc":"Callback implementation for Grizzly.Command.encode/1."},{"ref":"Grizzly.CommandClass.TimeParameters.Get.html#handle_response/2","title":"Grizzly.CommandClass.TimeParameters.Get.handle_response/2","type":"function","doc":"Callback implementation for Grizzly.Command.handle_response/2."},{"ref":"Grizzly.CommandClass.TimeParameters.Get.html#init/1","title":"Grizzly.CommandClass.TimeParameters.Get.init/1","type":"function","doc":"Callback implementation for Grizzly.Command.init/1."},{"ref":"Grizzly.CommandClass.TimeParameters.Get.html#t:opt/0","title":"Grizzly.CommandClass.TimeParameters.Get.opt/0","type":"type","doc":""},{"ref":"Grizzly.CommandClass.TimeParameters.Get.html#t:t/0","title":"Grizzly.CommandClass.TimeParameters.Get.t/0","type":"type","doc":""},{"ref":"Grizzly.CommandClass.TimeParameters.Set.html","title":"Grizzly.CommandClass.TimeParameters.Set","type":"module","doc":"Command module for working with TIME_PARAMETERS SET command command options: :year - Year in the usual Gregorian calendar :month - Month of the year between 01 (January) and 12 (December) :day - Day of the month between 01 and 31 :hour - Number of complete hours that have passed since midnight (00..23) in UTC :minute - Number of complete minutes that have passed since the start of the hour (00..59) in UTC :second - Number of complete seconds since the start of the minute (00..59) in UTC :seq_number - The sequence number for the Z/IP Packet :retries - The number times to retry to send the command (default 2)"},{"ref":"Grizzly.CommandClass.TimeParameters.Set.html#encode/1","title":"Grizzly.CommandClass.TimeParameters.Set.encode/1","type":"function","doc":"Callback implementation for Grizzly.Command.encode/1."},{"ref":"Grizzly.CommandClass.TimeParameters.Set.html#handle_response/2","title":"Grizzly.CommandClass.TimeParameters.Set.handle_response/2","type":"function","doc":"Callback implementation for Grizzly.Command.handle_response/2."},{"ref":"Grizzly.CommandClass.TimeParameters.Set.html#init/1","title":"Grizzly.CommandClass.TimeParameters.Set.init/1","type":"function","doc":"Callback implementation for Grizzly.Command.init/1."},{"ref":"Grizzly.CommandClass.TimeParameters.Set.html#t:opt/0","title":"Grizzly.CommandClass.TimeParameters.Set.opt/0","type":"type","doc":""},{"ref":"Grizzly.CommandClass.TimeParameters.Set.html#t:t/0","title":"Grizzly.CommandClass.TimeParameters.Set.t/0","type":"type","doc":""},{"ref":"Grizzly.CommandClass.UserCode.Get.html","title":"Grizzly.CommandClass.UserCode.Get","type":"module","doc":"Command module for working with USER_CODE GET command command options: :slot_id - The slot id of the user code :seq_number - The sequence number for the Z/IP Packet :retries - The number times to retry to send the command (default 2)"},{"ref":"Grizzly.CommandClass.UserCode.Get.html#encode/1","title":"Grizzly.CommandClass.UserCode.Get.encode/1","type":"function","doc":"Callback implementation for Grizzly.Command.encode/1."},{"ref":"Grizzly.CommandClass.UserCode.Get.html#handle_response/2","title":"Grizzly.CommandClass.UserCode.Get.handle_response/2","type":"function","doc":"Callback implementation for Grizzly.Command.handle_response/2."},{"ref":"Grizzly.CommandClass.UserCode.Get.html#init/1","title":"Grizzly.CommandClass.UserCode.Get.init/1","type":"function","doc":"Callback implementation for Grizzly.Command.init/1."},{"ref":"Grizzly.CommandClass.UserCode.Get.html#t:opt/0","title":"Grizzly.CommandClass.UserCode.Get.opt/0","type":"type","doc":""},{"ref":"Grizzly.CommandClass.UserCode.Get.html#t:t/0","title":"Grizzly.CommandClass.UserCode.Get.t/0","type":"type","doc":""},{"ref":"Grizzly.CommandClass.UserCode.Set.html","title":"Grizzly.CommandClass.UserCode.Set","type":"module","doc":"Command module for working with USER_CODE SET command command options: :slot_id - The slot id of the user code :slot_status - Either :occupied or :available :user_code - The user code :seq_number - The sequence number for the Z/IP Packet :retries - The number times to retry to send the command (default 2)"},{"ref":"Grizzly.CommandClass.UserCode.Set.html#encode/1","title":"Grizzly.CommandClass.UserCode.Set.encode/1","type":"function","doc":"Callback implementation for Grizzly.Command.encode/1."},{"ref":"Grizzly.CommandClass.UserCode.Set.html#handle_response/2","title":"Grizzly.CommandClass.UserCode.Set.handle_response/2","type":"function","doc":"Callback implementation for Grizzly.Command.handle_response/2."},{"ref":"Grizzly.CommandClass.UserCode.Set.html#init/1","title":"Grizzly.CommandClass.UserCode.Set.init/1","type":"function","doc":"Callback implementation for Grizzly.Command.init/1."},{"ref":"Grizzly.CommandClass.UserCode.Set.html#t:opt/0","title":"Grizzly.CommandClass.UserCode.Set.opt/0","type":"type","doc":""},{"ref":"Grizzly.CommandClass.UserCode.Set.html#t:t/0","title":"Grizzly.CommandClass.UserCode.Set.t/0","type":"type","doc":""},{"ref":"Grizzly.CommandClass.UserCode.UsersNumberGet.html","title":"Grizzly.CommandClass.UserCode.UsersNumberGet","type":"module","doc":"Command module for working with USER_CODE USER_NUMBER_GET command Request the number of user codes available on device command options: :seq_number - The sequence number for the Z/IP Packet :retries - The number times to retry to send the command (default 2)"},{"ref":"Grizzly.CommandClass.UserCode.UsersNumberGet.html#encode/1","title":"Grizzly.CommandClass.UserCode.UsersNumberGet.encode/1","type":"function","doc":"Callback implementation for Grizzly.Command.encode/1."},{"ref":"Grizzly.CommandClass.UserCode.UsersNumberGet.html#handle_response/2","title":"Grizzly.CommandClass.UserCode.UsersNumberGet.handle_response/2","type":"function","doc":"Callback implementation for Grizzly.Command.handle_response/2."},{"ref":"Grizzly.CommandClass.UserCode.UsersNumberGet.html#init/1","title":"Grizzly.CommandClass.UserCode.UsersNumberGet.init/1","type":"function","doc":"Callback implementation for Grizzly.Command.init/1."},{"ref":"Grizzly.CommandClass.UserCode.UsersNumberGet.html#t:opt/0","title":"Grizzly.CommandClass.UserCode.UsersNumberGet.opt/0","type":"type","doc":""},{"ref":"Grizzly.CommandClass.UserCode.UsersNumberGet.html#t:t/0","title":"Grizzly.CommandClass.UserCode.UsersNumberGet.t/0","type":"type","doc":""},{"ref":"Grizzly.CommandClass.Version.CommandClassGet.html","title":"Grizzly.CommandClass.Version.CommandClassGet","type":"module","doc":"Command module for working with VERSION_COMMAND_CLASS command class COMMAND_CLASS_GET command Command Options: :seq_number - the sequence number used by the Z/IP packet :command_class - the command class you want to get the version for :retries - the number of attempts to send the command (default 2)"},{"ref":"Grizzly.CommandClass.Version.CommandClassGet.html#encode/1","title":"Grizzly.CommandClass.Version.CommandClassGet.encode/1","type":"function","doc":"Callback implementation for Grizzly.Command.encode/1."},{"ref":"Grizzly.CommandClass.Version.CommandClassGet.html#handle_response/2","title":"Grizzly.CommandClass.Version.CommandClassGet.handle_response/2","type":"function","doc":"Callback implementation for Grizzly.Command.handle_response/2."},{"ref":"Grizzly.CommandClass.Version.CommandClassGet.html#init/1","title":"Grizzly.CommandClass.Version.CommandClassGet.init/1","type":"function","doc":"Callback implementation for Grizzly.Command.init/1."},{"ref":"Grizzly.CommandClass.Version.CommandClassGet.html#t:opt/0","title":"Grizzly.CommandClass.Version.CommandClassGet.opt/0","type":"type","doc":""},{"ref":"Grizzly.CommandClass.Version.CommandClassGet.html#t:t/0","title":"Grizzly.CommandClass.Version.CommandClassGet.t/0","type":"type","doc":""},{"ref":"Grizzly.CommandClass.Version.Get.html","title":"Grizzly.CommandClass.Version.Get","type":"module","doc":"Module for working with the VERSION GET command. This is for getting version information about the module Z-Wave Command Options: :seq_number - the sequence number used by the Z/IP packet :retries - the number of attempts to send the command (default 2)"},{"ref":"Grizzly.CommandClass.Version.Get.html#encode/1","title":"Grizzly.CommandClass.Version.Get.encode/1","type":"function","doc":"Callback implementation for Grizzly.Command.encode/1."},{"ref":"Grizzly.CommandClass.Version.Get.html#handle_response/2","title":"Grizzly.CommandClass.Version.Get.handle_response/2","type":"function","doc":"Callback implementation for Grizzly.Command.handle_response/2."},{"ref":"Grizzly.CommandClass.Version.Get.html#init/1","title":"Grizzly.CommandClass.Version.Get.init/1","type":"function","doc":"Callback implementation for Grizzly.Command.init/1."},{"ref":"Grizzly.CommandClass.Version.Get.html#t:opt/0","title":"Grizzly.CommandClass.Version.Get.opt/0","type":"type","doc":""},{"ref":"Grizzly.CommandClass.Version.Get.html#t:t/0","title":"Grizzly.CommandClass.Version.Get.t/0","type":"type","doc":""},{"ref":"Grizzly.CommandClass.WakeUp.IntervalCapabilitiesGet.html","title":"Grizzly.CommandClass.WakeUp.IntervalCapabilitiesGet","type":"module","doc":"Command module for working with WAKE_UP INTERVAL_CAPABILITIES_GET command command options: :seq_number - The sequence number for the Z/IP Packet :retries - The number times to retry to send the command (default 2)"},{"ref":"Grizzly.CommandClass.WakeUp.IntervalCapabilitiesGet.html#encode/1","title":"Grizzly.CommandClass.WakeUp.IntervalCapabilitiesGet.encode/1","type":"function","doc":"Callback implementation for Grizzly.Command.encode/1."},{"ref":"Grizzly.CommandClass.WakeUp.IntervalCapabilitiesGet.html#handle_response/2","title":"Grizzly.CommandClass.WakeUp.IntervalCapabilitiesGet.handle_response/2","type":"function","doc":"Callback implementation for Grizzly.Command.handle_response/2."},{"ref":"Grizzly.CommandClass.WakeUp.IntervalCapabilitiesGet.html#init/1","title":"Grizzly.CommandClass.WakeUp.IntervalCapabilitiesGet.init/1","type":"function","doc":"Callback implementation for Grizzly.Command.init/1."},{"ref":"Grizzly.CommandClass.WakeUp.IntervalCapabilitiesGet.html#t:t/0","title":"Grizzly.CommandClass.WakeUp.IntervalCapabilitiesGet.t/0","type":"type","doc":""},{"ref":"Grizzly.CommandClass.WakeUp.IntervalGet.html","title":"Grizzly.CommandClass.WakeUp.IntervalGet","type":"module","doc":"Command module for working with Wake Up command class INTERVAL_GET command Ref Docs: SDS13782 Z-Wave Management Command Class Specification.pdf Command Options: :seq_number - The sequence number in the Z/IP Packet :retries - The number to attempts to send the command (default 2)"},{"ref":"Grizzly.CommandClass.WakeUp.IntervalGet.html#t:opt/0","title":"Grizzly.CommandClass.WakeUp.IntervalGet.opt/0","type":"type","doc":""},{"ref":"Grizzly.CommandClass.WakeUp.IntervalGet.html#t:t/0","title":"Grizzly.CommandClass.WakeUp.IntervalGet.t/0","type":"type","doc":""},{"ref":"Grizzly.CommandClass.WakeUp.IntervalSet.html","title":"Grizzly.CommandClass.WakeUp.IntervalSet","type":"module","doc":"Command module for working with the Wake Up command class INTERVAL_SET command Ref Docs: SDS13782 Z-Wave Management Command Class Specification.pdf Command Options: :seconds - The number seconds for the device to wake up between 0 and 16777215 :node_id - The node that the device should send the wake up notification to :seq_number - The sequence number used for the Z/IP packet :retries - The number of attempts to send the command (default 2)"},{"ref":"Grizzly.CommandClass.WakeUp.IntervalSet.html#t:opt/0","title":"Grizzly.CommandClass.WakeUp.IntervalSet.opt/0","type":"type","doc":""},{"ref":"Grizzly.CommandClass.WakeUp.IntervalSet.html#t:t/0","title":"Grizzly.CommandClass.WakeUp.IntervalSet.t/0","type":"type","doc":""},{"ref":"Grizzly.CommandClass.WakeUp.NoMoreInformation.html","title":"Grizzly.CommandClass.WakeUp.NoMoreInformation","type":"module","doc":"Command module for working with Wake Up command class WAKE_UP_NO_MORE_INFORMATION command Ref Docs: SDS13782 Z-Wave Management Command Class Specification.pdf Command Options: :seq_number - The sequence number in the Z/IP Packet :retries - The number to attempts to send the command (default 2)"},{"ref":"Grizzly.CommandClass.WakeUp.NoMoreInformation.html#t:opt/0","title":"Grizzly.CommandClass.WakeUp.NoMoreInformation.opt/0","type":"type","doc":""},{"ref":"Grizzly.CommandClass.WakeUp.NoMoreInformation.html#t:t/0","title":"Grizzly.CommandClass.WakeUp.NoMoreInformation.t/0","type":"type","doc":""},{"ref":"Grizzly.CommandClass.ZipNd.InvNodeSolicitation.html","title":"Grizzly.CommandClass.ZipNd.InvNodeSolicitation","type":"module","doc":"Command module for working with ZIP_ND INV_NODE_SOLICITATION command Request the IPv6 address of a device on the Z/IP Gateway network command options: :node_id - The node id for the request"},{"ref":"Grizzly.CommandClass.ZipNd.InvNodeSolicitation.html#encode/1","title":"Grizzly.CommandClass.ZipNd.InvNodeSolicitation.encode/1","type":"function","doc":"Callback implementation for Grizzly.Command.encode/1."},{"ref":"Grizzly.CommandClass.ZipNd.InvNodeSolicitation.html#handle_response/2","title":"Grizzly.CommandClass.ZipNd.InvNodeSolicitation.handle_response/2","type":"function","doc":"Callback implementation for Grizzly.Command.handle_response/2."},{"ref":"Grizzly.CommandClass.ZipNd.InvNodeSolicitation.html#init/1","title":"Grizzly.CommandClass.ZipNd.InvNodeSolicitation.init/1","type":"function","doc":"Callback implementation for Grizzly.Command.init/1."},{"ref":"Grizzly.CommandClass.ZipNd.InvNodeSolicitation.html#t:opt/0","title":"Grizzly.CommandClass.ZipNd.InvNodeSolicitation.opt/0","type":"type","doc":""},{"ref":"Grizzly.CommandClass.ZipNd.InvNodeSolicitation.html#t:t/0","title":"Grizzly.CommandClass.ZipNd.InvNodeSolicitation.t/0","type":"type","doc":""},{"ref":"Grizzly.CommandClass.ZwaveplusInfo.Get.html","title":"Grizzly.CommandClass.ZwaveplusInfo.Get","type":"module","doc":""},{"ref":"Grizzly.CommandClass.ZwaveplusInfo.Get.html#encode/1","title":"Grizzly.CommandClass.ZwaveplusInfo.Get.encode/1","type":"function","doc":"Callback implementation for Grizzly.Command.encode/1."},{"ref":"Grizzly.CommandClass.ZwaveplusInfo.Get.html#handle_response/2","title":"Grizzly.CommandClass.ZwaveplusInfo.Get.handle_response/2","type":"function","doc":"Callback implementation for Grizzly.Command.handle_response/2."},{"ref":"Grizzly.CommandClass.ZwaveplusInfo.Get.html#init/1","title":"Grizzly.CommandClass.ZwaveplusInfo.Get.init/1","type":"function","doc":"Callback implementation for Grizzly.Command.init/1."},{"ref":"Grizzly.CommandClass.ZwaveplusInfo.Get.html#t:opt/0","title":"Grizzly.CommandClass.ZwaveplusInfo.Get.opt/0","type":"type","doc":""},{"ref":"Grizzly.CommandClass.ZwaveplusInfo.Get.html#t:t/0","title":"Grizzly.CommandClass.ZwaveplusInfo.Get.t/0","type":"type","doc":""},{"ref":"readme.html","title":"README","type":"extras","doc":"An Elixir library for Z-Wave"},{"ref":"readme.html#installation","title":"README - Installation","type":"extras","doc":"def deps do [ {:grizzly, &quot;~&gt; 0.6&quot;} ] end"},{"ref":"readme.html#requirements","title":"README - Requirements","type":"extras","doc":"Z-Wave Bridge Controller Nerves Compatible System Silicon Labs zipgateway binary See instructions for compiling the zipgateway binary."},{"ref":"readme.html#usage","title":"README - Usage","type":"extras","doc":"Adding Z-Wave Devices When adding Z-Wave devices you will have to know what security group the device is using. There are 3 groups: none, S0, and S2. For none and S0 you don&#39;t have to do anything special during the inclusion process: iex&gt; Grizzly.add_node() iex&gt; flush {:node_added, %Grizzly.Node{...}} After calling Grizzly.add_node/0 you will then trigger the pairing process on the device, the instructions for that process can be found in the device&#39;s user manual. However, if your device is using S2 security you will need to use Grizzly.add_node/1. If you are using s2_unauthenticated this is call you will want to make: iex&gt; Grizzly.add_node(s2_keys: [:s2_unauthenticated]) iex&gt; flush If you are using s2_authenticated you will need to provide a pin that is located on the device: iex&gt; Grizzly.add_node(s2_keys: [:s2_authenticated], pin: 1111) iex&gt; flush You will see some additional messages when flushing when using S2 security but you will not need to do anything with them. When using a GenServer to manage inclusion you can handle messages via handle_info/2 See Grizzly.Inclusion module for more information about adding Z-Wave devices to the network. Removing a Z-Wave Device Removing a Z-Wave device looks like: iex&gt; Grizzly.remove_node() iex&gt; flush {:node_removed, 12} Where 12 is the id of the node you removed. When you use a GenServer to manage exclusion you can handle messages via handle_info/2 See Grizzly.Inclusion module for more information about removing Z-Wave devices from the network. Additional Z-Wave docs can be found at Silicon Labs. Controlling a Z-Wave Device Say you have added a door lock to your Z-Wave controller that has the id of 12, now you want to unlock it. There are three steps to this process: get the node from the Z-Wave network, connect to the node, and then send Z-Wave commands to it. iex&gt; {:ok, lock} = Grizzly.get_node(12) iex&gt; {:ok, lock} = Grizzly.Node.connect(lock) iex&gt; Grizzly.send_command(lock, Grizzly.CommandClass.DoorLock.OperationSet, mode: :unsecured) :ok If you are just trying things out in an iex session can you use send_command with the node id: iex&gt; Grizzly.send_command(12, Grizzly.CommandClass.DoorLock.OperationSet, mode: :unsecured) However, this is slower in general and is only recommended for quick one off command sending. If you&#39;re building a long running application the first example is recommend along with storing the connected device to keep the connection alive for faster response times. see the Grizzly module docs for more details about Grizzly.send_command"},{"ref":"readme.html#configuration","title":"README - Configuration","type":"extras","doc":"Different systems will use different serial ports to talk to the Z-Wave controller. In order to configure this, there is a serial_port option. Below is an example for the Raspberry PI 3: config :grizzly, serial_port: &quot;/dev/ttyACM0&quot; If you are using a base nerves system please see the documentation for your particular system at the Nerves Project github page. To run some scripts that zipgateway uses we need the pidof command line utility. Not all Nerves base systems provide this utility so you can use the busybox package to avoid having to build a custom nerves system. After adding the busybox package to your mix.exs file, you can configure Grizzly to use the busybox path for the pidof utility: config :grizzly, pidof_bin: &quot;/srv/erlang/lib/busybox-0.1.2/priv/bin/pidof&quot; Be sure to check the version of the busybox package you are using matches the version in the path. If you want to run tests without running the zipgateway binary provided by Silicon Labs you can configure run_zipgateway_bin to be false: config :grizzly, run_zipgateway_bin: false"},{"ref":"readme.html#compiling-zipgateway","title":"README - Compiling zipgateway","type":"extras","doc":"First download the Z/IP GW SDK from Silicon Labs. For this you will need to make a free account with Silicon Labs. The default binaries that come with the download will not work by default in Nerves system, so you will need to compile the source for your target. The source code can be found in the Source directory. This can be tricky and the instructions are a work in progress, so for now please contact us if you any troubles."},{"ref":"readme.html#resources","title":"README - Resources","type":"extras","doc":"Z-Wave Specification Documentation"}]